function thisMovie(movieName) {
	if(navigator.appName.indexOf("Microsoft") != -1) {
		return window[movieName];
	} else {
		return document[movieName];
	}
}

function pasteFilmCode3(id, filename, x, y, w, h, autoplay) {
	return '<a href="http://media.edukator.pl/customers/edukator/web/movie/data/flv/' + filename + '.flv" style="top: ' + x + '; left: ' + y + '; display: block; width: ' + w + 'px; height: ' + h + 'px;" id="flowplayer_' + id + '"></a><script language="JavaScript">flowplayer("flowplayer_' + id + '", {src: "http://edukator.pl/eduv2/system/application/static/js/flowplayer/flowplayer.commercial-3.2.7-2.swf", wmode:"opaque"}, {clip: {autoPlay: ' + autoplay + ', autoBuffering: false}, plugins: {controls: null}, key: "#@ff2637341d767104b82"});</script>';
}

var svg = null;
var vieport = $(window).resize(updateOnResize);
var opacities = new Array();

/**
 * scaleObjects
 * @returns {undefined}
 */
function scaleObjects() {
	if(svg == null) {
		return;
	}

	var mtb = matchToBrowser;
	var svgRatio = vieport.height() / svg.getAttribute('height');

	if(matchToBrowser == 'a') {
		if(vieport.width() < (svg.getAttribute('width') * svgRatio)) {
			mtb = 'w';
		}
	}

	if(mtb == 'w') {
		svgRatio = vieport.width() / svg.getAttribute('width');
	} else if(mtb == 'n') {
		svgRatio = 1;
	}

	$('.scale', $('#overlayer')).each(function () {
		var l = $(this).data('x') * svgRatio;
		var t = $(this).data('y') * svgRatio;
		var w = $(this).data('w') * svgRatio;
		var h = $(this).data('h') * svgRatio;

		$(this).offset({ top: t, left: l});
		$(this).children().css('width', w).css('height', h);

		if($(this).hasClass('movie')) {
			$(this).find('.mejs-container').css('width', w).css('height', h);
		}

		if($(this).hasClass('iframe')) {
			$(this).find('iframe').css('height', h - 3);
		}
	});

	$('svg')
		.css('width', svg.getAttribute('width') * svgRatio)
		.css('height', svg.getAttribute('height') * svgRatio);
	/*
	var omask = $('.omask');
	omask.css('width', vieport.width()).css('height', vieport.height());
	var polygon = omask.find('.polygon');
	var points = polygon.attr('points');
	var pts = points.split(' ');
	pts[1] = vieport.width() + ',0';
	pts[2] = vieport.width() + ',' + vieport.height();
	pts[3] = '0,' + vieport.height();
	pts[5] = svg.getAttribute('width') * svgRatio + ',0';
	pts[6] = svg.getAttribute('width') * svgRatio + ',' + svg.getAttribute('height') * svgRatio;
	pts[7] = '0,' + svg.getAttribute('height') * svgRatio;
	polygon.attr('points', pts.join(' '));
	*/
}

/**
 * updateOnResize
 * @returns {undefined}
 */
function updateOnResize() {
	scaleObjects();
}

/*  for ie compatibility  */

if(!(console instanceof Object)) {
    var console = {
        log: function (a) {
            
        }
    };
}

function PresentationPlayer() {
	this.SHEET_CHANGE = "sheetChange";
	this.PLAYER_INIT = "playerInit";

	this.presentation = null;

	this.currentSheetIndex = -1;
	this.listeners = new Array();

	this.currentSheet = null;
	this.prevSheet = null;

//	this.audioOn = true;
	this.subtitles = true;

	this.changing = false;

	// Flaga informujaca czy wlaczone jest autoodtwarzanie
	this.autoPlay = false;
	// Licznik autoodtwarzania
	this.autoPlayTimeOut = null;

	this.timelinePlay = false;
	this.currentPreloading = null;

	this.currentMediaPlaying = true;
	this.currentMediaPlayingId = null;
	this.currentMediaPlayingTime = 0;
}

PresentationPlayer.prototype.constructor = PresentationPlayer;

/**
 * Inicjuje player
 * @param {type} sheets
 * @returns {undefined}
 */
PresentationPlayer.prototype.init = function(sheets) {
	this.sheets = sheets;
	if(this.presentation.sound != null) {
//		var audioPath = '';

//		if(mode == 'local') {
//			audioPath = 'data/mp3/' + this.presentation.sound.file;
//		} else {
//			audioPath = soundDataUrl + this.presentation.sound.file;
//		}

//		var audioHtml = '<audio id="musicPresentation" preload="true" type="audio/mp3" src="' + audioPath + '"></audio>';
//		$('#audioPresentation').html(audioHtml);
//		$('#audioButton').show();
//		$('.audioButtonVl').show();

		this.presentation.sound.container = 'musicPresentation';
		initMediaPlayer(this.presentation.sound);
	} else {
		$('#audioButton').hide();
		$('.audioButtonVl').hide();
	}

	this.dispathEvent(this.PLAYER_INIT, null);
};

/**
 * Przypisuje listener dla zdarzenia
 * @param {type} eventType
 * @param {type} method
 * @returns {undefined}
 */
PresentationPlayer.prototype.addEventListener = function(eventType, method) {
	if(!this.listeners[eventType]) {
		this.listeners[eventType] = new Array();
	}
	this.listeners[eventType].push(method);
};

/**
 * Rozsyla zdarzenie
 * @param {type} eventType
 * @param {type} e
 * @returns {undefined}
 */
PresentationPlayer.prototype.dispathEvent = function(eventType, e) {
	if(this.listeners[eventType]) {
		for(var i=0; i < this.listeners[eventType].length; i++) {
			var f = this.listeners[eventType][i];
			f(e);
		}
	}
};

PresentationPlayer.prototype.videoFileLayer = function(s, id) {
	var sheet = this.sheets[s];

	for(var i = 0; i < sheet.movies.length; i++) {
		var movie = sheet.movies[i];
		if(movie.file == id) {
			var vlayer = $('<video></video>');
			// vlayer.attr('src', '{/literal}{$upload}{literal}/presentation/movie/mp4/' + mv + '.mp4');
			vlayer.attr('src', movie.link);
			vlayer.attr('width', '100%');
			vlayer.attr('height', '100%');
			vlayer.attr('id', 'movie_' + id);
			vlayer.attr('preload', 'auto');
			vlayer.attr('controls', 'control');
			// vlayer.attr('type', 'video/mp4');
			return vlayer;
		}
	}
};

PresentationPlayer.prototype.videoStreamLayer = function(s, id) {
	var slayer = $('<source>');
	slayer.attr('type', 'video/youtube');
	slayer.attr('src', 'http://www.youtube.com/watch?v=' + id);

	var vlayer = $('<video></video>');
	vlayer.attr('width', '100%');
	vlayer.attr('height', '100%');
	vlayer.attr('id', 'movie_' + id);
	vlayer.attr('preload', 'auto');
	vlayer.attr('controls', 'control');
	vlayer.append(slayer);
	return vlayer;
};

/**
 * Pokazuje slajd o podanym Indexie
 * @param {type} sheetIndex
 * @returns {undefined}
 */
PresentationPlayer.prototype.changeSheet = function(sheetIndex) {
	$('.mejs-controls').hide().html('');

	if(this.changing) {
		return;
	}

	this.currentMediaPlaying = false;
	this.currentMediaPlayingId = null;
	removeMedia();

	if(this.currentSheetIndex == sheetIndex) {
		return;
	}

	clearTimeout(this.autoPlayTimeOut);
	this.hideTimelineObjects();

	this.changing = true;

	this.prevSheet = this.currentSheet;

	this.currentSheetIndex = sheetIndex;
	this.currentSheet = this.sheets[this.currentSheetIndex];

//	$('#sheetAudioC').html('');

	var containerHtml = "<div id=\"sheet_" + this.currentSheet.id + "\" class=\"sheet\"></div>";
	$("#sheetsContainer").append(containerHtml);

	this.currentSheet.container = $("#sheet_" + this.currentSheet.id);
	this.showCurrentSheet(sheetIndex);
};

/**
 * showCurrentSheet
 * @param {type} sheetIndex
 * @returns {undefined}
 */
PresentationPlayer.prototype.showCurrentSheet = function(sheetIndex) {
	$('svg').hide();

	$('#overlayer > div').css('visibility', 'hidden');
	$('#objects > div').css('visibility', 'hidden');
	$('#sheet_' + sheetIndex).css('visibility', 'visible');
	$('#sheet_' + sheetIndex + '_o').css('visibility', 'visible');
	$('#controlMovie').removeClass('controlPauseMovie').addClass('controlPlayMovie');

	player.currentSheet.updateTimeline(0);
	this.showTimelineObjects();

	if(player.autoPlay == true) {
		player.playTimeline();
	}

	var f = 0;
	this.autoPlayTimeOut = window.setInterval(function() {
		if(player.currentSheet.autoPlayTime <= 0) {
			player.next();
			return;
		}

		if((player.autoPlay == true) && (player.timelinePlay == true)) {
			if((player.currentSheet.movies.length == 0) && (!player.currentSheet.sound)) {
				player.currentSheet.timeline(player.currentSheet.fullPlayTime - player.currentSheet.autoPlayTime);
				player.currentSheet.autoPlayTime--;
			} else {
				if((player.currentSheet.movies.length > 0) && (f > 2)) {
					playSheet();
				} else if(player.currentSheet.sound && (f > 2)) {
					playSheet();
				}
			}
			f++;
		}
	}, 1000);

	svg = document.getElementById('svg_' + player.presentation.id + '_' + this.currentSheet.id);
	$(svg).show();

	$('svg', $('#sheet_' + sheetIndex)).each(function () {
		$(this).show();
	});

	this.currentSheet.container.css('display', 'block');
	this.currentSheet.buildControls();
	scaleObjects();

	this.currentSheet.show();
};

PresentationPlayer.prototype.presentationHasMovies = function() {
	for(var i=0; i<this.sheets.length; i++) {
		if(this.sheets[i].movies.length > 0) {
			return true;
		}
	}
	return false;
};

PresentationPlayer.prototype.removePrevSheet = function() {
	if(this.prevSheet) {
		this.prevSheet.container.remove();
		this.prevSheet = null;
	}

	this.changing = false;
	this.dispathEvent(this.SHEET_CHANGE, {sheet:this.sheets[this.currentSheetIndex], sheetIndex:this.currentSheetIndex});
};

PresentationPlayer.prototype.showCurrentSheetCompleteHandler = function() {
	setTimeout("player.removePrevSheet()", 100);
	//player.removePrevSheet();

	// FILMY
	/*
	if(this.currentSheet.movies.length > 0)
	{
		for(var i=0; i<this.currentSheet.movies.length; i++)
		{
			var movie = this.currentSheet.movies[i];
			var playerHtml = "";
			var style = "position:absolute;left:" + movie.x + "px;top:" + movie.y + "px; width:" + movie.w + "px; height:" + movie.h + "px;";
			
			if(movie.type == "YTlink")
			{
				playerHtml = "<iframe style=\"" + style + "\" src=\"http://www.youtube.com/embed/" + movie.file + "?wmode=transparent&autoplay=" + (this.autoPlay ? "1" : "0") + "\" frameborder=\"0\" allowfullscreen></iframe>";
			}else if(movie.type == "file")
			{       if (mode=='local') {
                                    playerHtml = "<a style=\"" + style + " display:block\" href=\"data/video/" + movie.file + ".flv\" id=\"player" + movie.id + "\"></a>";
                                } else {
                                    if(browser.safari)
                                    {
                                            // Sciezka do pliku jest w : movie.file
                                            playerHtml = "<video style=\"" + style + "\" controls=\"controls\"><source src=\"http://"+serverName+"/customers/edukator/web/movie/data/mp4/" + movie.file + ".mp4\" type=\"video/mp4\" />Your browser does not support the video tag.</video>";
                                    }else{
                                            playerHtml = "<a style=\"" + style + " display:block\" href=\"http://"+serverName+"/customers/edukator/web/movie/data/mp4/" + movie.file + ".mp4\" id=\"player" + movie.id + "\"></a>";
                                    }    
                                }
			}

			this.currentSheet.container.append(playerHtml);

			if(movie.type == "file")
			{
				if(browser.safari) {
				} else {
					if (mode=="local") {
						flowplayer("player" + movie.id, {src:"data/flowplayer/flowplayer-3.2.7.swf", wmode:"opaque"}, {clip: {wmode:"transparent",autoPlay: this.autoPlay, wmode:"transparent", autoBuffering: true}, wmode:"transparent", key: "#@ff2637341d767104b82"});
					} else {
						flowplayer("player" + movie.id, {src:"customers/edukator/global/data/flowplayer/flowplayer.commercial-3.2.7-2.swf", wmode:"opaque"}, {clip: {wmode:"transparent",autoPlay: this.autoPlay, wmode:"transparent", autoBuffering: true}, wmode:"transparent", key: "#@ff2637341d767104b82"});
					}
				}
			}
		}
	}
	*/
	// FILMY CHEMICZNE
	if(this.currentSheet.chemMovies.length > 0)
	{
		for(var i=0; i<this.currentSheet.chemMovies.length; i++)
		{
			var movie = this.currentSheet.chemMovies[i];
			var playerHtml = "";
			var style = "position:absolute;left:" + movie.x + "px;top:" + movie.y + "px; width:" + movie.w + "px; height:" + movie.h + "px;";
			
			if(browser.safari)
			{
				// Sciezka do pliku jest w : movie.file
				playerHtml = "<video style=\"" + style + "\" controls=\"controls\"><source src=\"http://media.edukator.pl/customers/edukator/web/movie/data/mp4/" + movie.file + ".mp4\" type=\"video/mp4\" />Your browser does not support the video tag.</video>";
			}else{
				playerHtml = "<a style=\"" + style + " display:block\" href=\"http://media.edukator.pl/customers/edukator/web/movie/data/flv/" + movie.file + ".flv\" style=\"display:block;width:425px;height:300px;\" id=\"chemPlayer" + movie.id + "\"></a>";
			}
			
			this.currentSheet.container.append(playerHtml);

			if(browser.safari) {
				
			} else {
				if (mode!="remote") {                               
					flowplayer("chemPlayer" + movie.id, {src:"data/flowplayer/flowplayer-3.2.7.swf", wmode:"opaque"}, {clip: {wmode:"transparent",autoPlay:true, onBeforeFinish: function() {return false; }, autoBuffering: true, wmode:"transparent"}, wmode:"transparent", key: "#@ff2637341d767104b82"});
				} else {
					flowplayer("chemPlayer" + movie.id, {src:"customers/edukator/global/data/flowplayer/flowplayer.commercial-3.2.7-2.swf", wmode:"opaque"}, {clip: {wmode:"transparent",autoPlay:true, onBeforeFinish: function() {return false; }, autoBuffering: true, wmode:"transparent"}, wmode:"transparent", key: "#@ff2637341d767104b82"});
				}
			}
		}
	}

	$('.toRemove').remove();
	$('#audioSheet').html('');

	// Audio dla slajdu
	if((this.currentSheet.sound != null) 
	&& (this.currentSheet.sound.duration != null)) {
		var audioPath = this.currentSheet.sound.file;
		var audioHtml = '<audio id="musicSheet" controls="controls" type="audio/mp3" src="' + audioPath + '"></audio>';
		$('#audioSheet').html(audioHtml);
		initMediaPlayer(this.currentSheet.sound);
	}
	/*
	for(var i = 0; i < this.currentSheet.movies.length; i++) {
		if(this.currentSheet.movies[i].player == null) {
			initMediaPlayer(this.currentSheet.movies[i]);
		}
	}
	*/
	refreshScrollBars();
};

PresentationPlayer.prototype.test = function() {
	var sindex = this.currentSheetIndex;
	var tcomplete = true;
	var nc = 0;

	// itaracja po wszystkich pytaniach na slajdzie
	$('.qi', $('#sheet_' + sindex)).each(function () {
		var qe = $(this).val().split('_');

		var qid = qe[0];
		var qtype = qe[1];

		// sprawdzanie odpowiedzi do pytan
		switch(qtype) {
			case '1':
				var qcomplete = false;

				// wielokrotnego wyboru - przynajmniej jedna opcja musi byc zaznaczona
				$('input.q' + qid, $('#sheet_' + sindex)).each(function () {
					if($(this).is(':checked')) {
						qcomplete = true;
					}
				});

				break;
			case '2':
				var qcomplete = false;

				// jednokrotnego wyboru - przynajmniej jedna opcja musi byc zaznaczona
				$('input.q' + qid, $('#sheet_' + sindex)).each(function () {
					if($(this).is(':checked')) {
						qcomplete = true;
					}
				});

				break;
			case '3':
				var qcomplete = false;

				// prawa / falsz - przynajmniej jedna opcja musi byc zaznaczona
				$('input.q' + qid, $('#sheet_' + sindex)).each(function () {
					if($(this).is(':checked')) {
						qcomplete = true;
					}
				});

				break;
			case '4':
				var qcomplete = true;

				// uzupelnil brakujace - wszystko musi byc uzupelnione
				$('input.q' + qid, $('#sheet_' + sindex)).each(function () {
					if($(this).val() == '') {
						qcomplete = false;
					}
				});

				break;
			case '5':
			case '6':
				var qcomplete = true;

				// krotka / dluga wypowiedz
				if(!$.trim($('textarea.q' + qid).val())) {
					qcomplete = false;
				}

				break;
			case '7':
				break;
		}

		// jesli nie ma odpowiedzi to test nie jest kompletny
		if(qcomplete === false) {
			nc++;
			tcomplete = false;
		}
	});

	if(tcomplete === false) {
		if(this.autoPlay) {
			player.switchAutoPlay();
			clearTimeout(this.autoPlayTimeOut);
		}

		if(this.timelinePlay) {
			this.pauseTimeline();
			clearTimeout(this.autoPlayTimeOut);
		}

		alert('Pozostało pytań bez odpowiedzi: ' + nc);
	}

	return tcomplete;
};

/**
 * 
 * @returns {undefined}
 */
PresentationPlayer.prototype.send = function() {
	var osc = $('#sheet_' + this.currentSheetIndex);
	if(osc.find('.qa').length > 0) {
		var go = player.test();

		if(go === false) {
			return;
		}
	}

	var data = $('#scform').serialize();
	ajax('POST', '?page=presentations&cl=presTest', data, 
		function(response) {
			var countQuestions = 0;
			var countCorrectQuestions = 0;
			var countCorrectPQuestions = 0;

			$('.qi').each(function () {
				countQuestions++;

				var qe = $(this).val().split('_');

				var correct = true;
				var qid = qe[0];
				var qtype = qe[1];

				// sprawdzanie odpowiedzi do pytan
				switch(qtype) {
					case '1':
						// wielokrotnego wyboru - przynajmniej jedna opcja musi byc zaznaczona
					case '2':
						// jednokrotnego wyboru - przynajmniej jedna opcja musi byc zaznaczona
					case '3':
						// prawa / falsz - przynajmniej jedna opcja musi byc zaznaczona
						$('input.q' + qid).each(function () {
							var aid = $(this).val();
							var acr = response.ans[aid]['c2'];

							$(this).parent().css('background-color', 'none');
							$(this).parent().next().css('color', 'none');

							if($(this).is(':checked')) {
								if(acr == 1) {
									$(this).parent().css('background-color', 'green');
								} else {
									$(this).parent().css('background-color', 'red');
									correct = false;
								}
							}

							if(acr == 1) {
								$(this).parent().next().css('color', 'green');
							}
						});
						break;
					case '4':
						// uzupelnil brakujace - wszystko musi byc uzupelnione
						$('input.q' + qid).each(function () {
							var aid = $(this).data('aid');
							var acr = response.ans[aid]['c1'];
							var av = $(this).val();

							$(this).parent().css('border-color', 'none');

							if(av == acr) {
								$(this).css('border-color', 'green');
							} else {
								$(this).css('border-color', 'red');
								correct = false;
							}
						});
						break;
					case '5':
					case '6':
					case '7':
						break;
				}

				if(correct == true) {
					countCorrectQuestions++;
				}
				/*
				// jesli nie ma odpowiedzi to test nie jest kompletny
				if(qcomplete === false) {
					nc++;
					tcomplete = false;
				}
				*/
			});

			if((countQuestions > 0) && (countCorrectQuestions > 0)) {
				countCorrectPQuestions = (countCorrectQuestions / countQuestions) * 100;
			}

			$('.countQuestions').html(countQuestions);
			$('.countCorrectQuestions').html(countCorrectQuestions);
			$('.countCorrectPQuestions').html(countCorrectPQuestions.toFixed(2));
		},
		function(response) {
		}
	);
};

/**
 * Pokazuje nastepny slajd
 * @returns {undefined}
 */
PresentationPlayer.prototype.next = function() {
	var osc = $('#sheet_' + this.currentSheetIndex);
	if(osc.find('.qa').length > 0) {
		var go = player.test();

		if(go === false) {
			return;
		}
	}

	if(this.currentSheetIndex < this.sheets.length - 1) {
		var p = this.autoPlay;
		if(p) { player.switchAutoPlay(); }
		this.changeSheet(this.currentSheetIndex + 1);
		if(p) { player.switchAutoPlay(); }
	}
};

/**
 * Pokazuje poprzedni slajd
 * @returns {undefined}
 */
PresentationPlayer.prototype.prev = function() {
	if(this.currentSheetIndex > 0) {
		var p = this.autoPlay;
		if(p) { player.switchAutoPlay(); }
		this.changeSheet(this.currentSheetIndex - 1);
		if(p) { player.switchAutoPlay(); }
	}
};

/**
 * Pokazuje pierwszy slajd
 * @returns {undefined}
 */
PresentationPlayer.prototype.first = function() {
	this.changeSheet(0);
};

/**
 * Pokazuje ostatni slajd
 * @returns {undefined}
 */
PresentationPlayer.prototype.last = function() {
	this.changeSheet(this.sheets.length - 1);
};

/**
 * Pauzuje timeline
 * @returns {undefined}
 */
PresentationPlayer.prototype.pauseTimeline = function() {
	this.timelinePlay = false;
};

/**
 * Uruchamia timeline
 * @returns {undefined}
 */
PresentationPlayer.prototype.playTimeline = function() {
	this.timelinePlay = true;
};

/**
 * Ukrywa pokazane przez timeline obiekty
 * @returns {undefined}
 */
PresentationPlayer.prototype.hideTimelineObjects = function() {
	if(!this.currentSheet) {
		return;
	}

	if(!this.currentSheet.timelineObjects) {
		return;
	}

	for(var i = 0; i < this.currentSheet.timelineObjects.length; i++) {
		var el1 = $('#' + this.currentSheet.timelineObjects[i].objectId);
		var el2 = $('[data-cid="' + this.currentSheet.timelineObjects[i].objectId + '"]');

		if(el2.is(':visible')) {
			el1.attr('opacity', 0);
			el2.css('visibility', 'hidden');

			if(this.currentSheet.timelineObjects[i].objectId.substr(0,4) == 'text') {
				el1.show();
			}
		}
	}
};

/**
 * Odkrywa pokazane przez timeline obiekty
 * @returns {undefined}
 */
PresentationPlayer.prototype.showTimelineObjects = function() {
	player.currentSheet.timeline(0);
};

/**
 * Ładuje do niewidocznego kontenera wszystkie slajdy by znalazły się w cache przegladarki
 * @returns {undefined}
 */
/*
PresentationPlayer.prototype.startPreload = function() {
	console.log('startPreload');
	for(var i=0; i<this.sheets.length; i++) {
		var sheet = this.sheets[i];

		if(!sheet.preloaded && this.currentSheetIndex != i) {
			this.currentPreloading = sheet;
			$("#imagePreloader").attr("src", sheet.path).load(function(){player.imagePreloadHandler()}).error(function(){player.imagePreloadHandler()});
			return;
		}
	}

	$("#imagePreloader").remove();
};
*/

/**
 * imagePreloadHandler
 * @returns {undefined}
 */
/*
PresentationPlayer.prototype.imagePreloadHandler = function() {
	console.log('imagePreloadHandler');
	this.currentPreloading.preloaded = true;
	this.startPreload();
};
*/

/**
 * Zmienia tryb autoodtwarzania
 * @returns {undefined}
 */
PresentationPlayer.prototype.switchAutoPlay = function() {
	this.autoPlay = !this.autoPlay;

	if(this.autoPlay) {
		$('#autoPlay').html('Wyłącz autoodtwarzanie');
		$('#autoPlayTimeStepper').css('display', 'block');
		$('#controlMovie')
			.removeClass('controlPlayMovie')
			.addClass('controlPauseMovie');

		this.playTimeline();
		player.currentSheet.updateTimeline(player.currentSheet.fullPlayTime - player.currentSheet.autoPlayTime);
	} else {
		$('#autoPlay').html('Włącz autoodtwarzanie');
		$('#autoPlayTimeStepper').css('display', 'none');
		$('#controlMovie')
			.removeClass('controlPauseMovie')
			.addClass('controlPlayMovie');

		this.pauseTimeline();
		pauseMedia();
	}
};

/**
 * updateAutoPlayTime
 * @returns {undefined}
 */
PresentationPlayer.prototype.updateAutoPlayTime = function() {
	if($("#autoPlayInput").val() <= 0) {
		$("#autoPlayInput").val(1);
	}
	this.autoPlayTime = $("#autoPlayInput").val();
};

/**
 * toggleAudio
 * @returns {undefined}
 */
/*
PresentationPlayer.prototype.toggleAudio = function() {
	thisMovie('swfPlayer').toggleAudio('');

	var audioPlayer = document.getElementById('presentationAudio');

	if(this.audioOn) {
		if(browser.safari) {
			audioPlayer.pause();
		} else {
			pause();
		}
	} else {
		if(browser.safari) {
			audioPlayer.play();
		} else {
			play(soundDataUrl + this.presentation.sound);
		}
	}

	this.audioOn = !this.audioOn;
};
*/
/**
 * toggleSubtitles
 * @returns {undefined}
 */
PresentationPlayer.prototype.toggleSubtitles = function() {
	if(this.subtitles) {
		$('#controlSubtitles').css('opacity', '0.2');
		$('[data-subs]').each(function () {
			$(this).attr('opacity', 0);
			$(this).hide();
		});
	} else {
		$('#controlSubtitles').css('opacity', '1.0');
	}

	this.subtitles = !this.subtitles;
};

//////////////////////////////////////// PREZENTACJA /////////////////////////////////////

function Presentation(id) {
	this.id = id;
	this.sound = null;
}

Presentation.prototype.constructor = Presentation;

Presentation.prototype.addSound = function(sound) {
	if(sound) {
		this.sound = new Sound(sound, 0);
	}
};

//////////////////////////////////////// SLAJD /////////////////////////////////////

function Sheet(id, sheetAnimation, movies, chemMovies, images, sound, txt, tlSheet, tlObjects) {
//	this.preloaded = false;
	this.container = null;
	this.autoPlayTime = 5;
	this.initPlayers = false;
	this.longestMediaId = null;

	this.id = id;
	this.animation = sheetAnimation;
	this.movies = movies;
	this.chemMovies = chemMovies;
	this.images = images;
	this.sound = null;
	this.txt = txt;
	this.timelineSheet = tlSheet;
	this.timelineObjects = tlObjects ? tlObjects : new Array();

	this.getLongestMovie();

	if(sound) {
		var tmp = sound.split('|duration:');
		this.sound = new Sound(tmp[0], tmp[1]);

		if(this.sound.duration > this.autoPlayTime) {
			this.autoPlayTime = this.sound.duration;
			this.longestMediaId = this.sound.container;
		}

		this.timelineObjects.push(new ObjectTimeline(this.sound.id,0,'show',0));
		this.timelineObjects.push(new ObjectTimeline(this.sound.id,this.sound.duration,'hide',0));
	}

	if(this.timelineSheet && this.timelineSheet.duration > this.autoPlayTime) {
		this.autoPlayTime = this.timelineSheet.duration;
	}

	if(this.timelineObjects) {
		var tlObject = this.getLatestTlAction();

		if(tlObject && (!this.autoPlayTime || ((tlObject.beginTime + tlObject.duration) > this.autoPlayTime))) {
			this.autoPlayTime = tlObject.beginTime + tlObject.duration;
		}
	}

	this.autoPlayTime = Math.ceil(this.autoPlayTime);
	this.fullPlayTime = this.autoPlayTime;

	this.timelineObjects.push(new ObjectTimeline('lastelement',this.fullPlayTime,'show',0));
	this.timelineObjects.push(new ObjectTimeline('lastelement',this.fullPlayTime+1,'hide',0));
}

Sheet.prototype.constructor = Sheet;

/**
 * buildControls
 * @returns {undefined}
 */
Sheet.prototype.buildControls = function() {
	$('#slideProgress').click(function(e) {
		var offset = $(this).offset();
		var width = $(this).outerWidth(true);
		var percentage = 0;
		var newTime = 0;
		var pos = 0;
		var x;

		if(e.originalEvent.changedTouches) {
			x = e.originalEvent.changedTouches[0].pageX;
		} else {
			x = e.pageX;
		}

		if(x < offset.left) {
			x = offset.left;
		} else if (x > width + offset.left) {
			x = width + offset.left;
		}

		pos = x - offset.left;
		percentage = (pos / width);
		newTime = (percentage <= 0.02) ? 0 : percentage * player.currentSheet.fullPlayTime;

		player.currentSheet.updateTimeline(newTime);
		// setMedia();
	});
};

/**
 * getLongestMovie
 * @returns {undefined}
 */
Sheet.prototype.getLongestMovie = function() {
	var timelineMovies = new Array();
	if(this.timelineObjects) {
		for(var i = 0; i < this.timelineObjects.length; i++) {
			if(this.timelineObjects[i].objectType == 'movie') {
				var tid = this.timelineObjects[i].objectId.split('_');
				tid.splice(0, 3);

				var fileId = tid.join('_');
				if(timelineMovies.indexOf(fileId) == '-1') {
					timelineMovies.push(fileId);
				}
			}
		}
	}

	for(var i = 0; i < this.movies.length; i++) {
		var fileId = this.movies[i].file;
		if(timelineMovies.indexOf(fileId) == '-1') {
			var oid = $('div').find("[data-youtube='" + fileId + "']").attr('id');
			if(!oid) {
				var oid = $('div').find("[data-movie='" + fileId + "']").attr('id');
			}

			if(oid) {
				this.timelineObjects.push(new ObjectTimeline(oid,0,'show',0));
				this.timelineObjects.push(new ObjectTimeline(oid,this.movies[i].duration,'hide',0));
			}
		}
	}
};

/**
 * Sheet.prototype.getLatestTlAction
 * @returns {undefined}
 */
Sheet.prototype.getLatestTlAction = function() {
	var ml = 0;
	var ob = null;

	for(var i = 0; i < this.timelineObjects.length; i++) {
		var el1 = $('#' + this.timelineObjects[i].objectId);
		var op = el1.attr('opacity');
		if(typeof op !== typeof undefined && op !== false && op != 0) {
			opacities[el1.attr('id')] = op;
		}

		var oset = this.timelineObjects[i].beginTime + this.timelineObjects[i].duration;
		if(oset > ml) {
			ml = oset;
			ob = this.timelineObjects[i];
		}
	}

	return ob;
};

Sheet.prototype.show = function() {
	/*
	for(var i = 0; i < this.currentSheet.movies.length; i++) {
		if(this.currentSheet.movies[i].player == null) {
			initMediaPlayer(this.currentSheet.movies[i]);
		}
	}
	*/

	for(var i = 0; i < this.movies.length; i++) {
		if(this.movies[i].player == null) {
			initMediaPlayer(this.movies[i]);
		}
	}

	if(!this.animation) {
		player.showCurrentSheetCompleteHandler();
		return;
	}

	switch(this.animation.type) {
		case 'fadeIn': fadeIn(this.container, $("#sheetsContainer"), "player.showCurrentSheetCompleteHandler()"); break;
		case 'entranceFromLeft': entranceFromLeft(this.container, $("#sheetsContainer"), "player.showCurrentSheetCompleteHandler()"); break;
		case 'entranceFromTop': entranceFromTop(this.container, $("#sheetsContainer"), "player.showCurrentSheetCompleteHandler()"); break;
		case 'entranceFromRight': entranceFromRight(this.container, $("#sheetsContainer"), "player.showCurrentSheetCompleteHandler()"); break;
		case 'entranceFromBottom': entranceFromBottom(this.container, $("#sheetsContainer"), "player.showCurrentSheetCompleteHandler()"); break;
	}
};

/**
 * updateTimeline
 * @param {type} sec
 * @returns {undefined}
 */
Sheet.prototype.updateTimeline = function(sec) {
	player.currentSheet.autoPlayTime = player.currentSheet.fullPlayTime - parseInt(sec);

	var fpt = parseInt(player.currentSheet.fullPlayTime);
	var playPercent = 100 - ((player.currentSheet.autoPlayTime / fpt) * 100);
	$('#slajdtime').html(secToTime(fpt) + '/' + secToTime(player.currentSheet.autoPlayTime));
	$('#pgbar').css('width', playPercent + '%');

	if(!this.timelineObjects) {
		return;
	}

	player.hideTimelineObjects();

	for(var i = 0; i < this.timelineObjects.length; i++) {		
		if(this.timelineObjects[i].beginTime <= sec) {
			var el1 = $('#' + this.timelineObjects[i].objectId);
			var el2 = $('[data-cid="' + this.timelineObjects[i].objectId + '"]');

			var animation = this.timelineObjects[i].animType;
			if((player.subtitles == false) && (el1.attr('data-subs'))) {
				animation = 'hide';
			}

			switch(animation) {
				case 'hide':
					el1.attr('opacity', 0);
					el2.css('visibility', 'hidden');

					if(this.timelineObjects[i].objectType == 'text_') {
						el1.hide();
					} else {
						if(this.timelineObjects[i].objectType == 'movie') {
							var mov = sheetMediaElement(this.timelineObjects[i].objectId);
							if(mov) {
								mov.visible = 0;
								mov.beginTime = 0;
								if(mov.player) {
									mov.player.pause();
								}
							}
						}
						if(this.timelineObjects[i].objectType == 'sound') {
							var snd = sheetMediaElement(this.timelineObjects[i].objectId);
							if(snd) {
								snd.visible = 0;
								snd.beginTime = 0;
								if(snd.player) {
									snd.player.pause();
								}
							}
						}
					}

					break;
				case 'show':
					if(typeof opacities[el1.attr('id')] !== typeof undefined && opacities[el1.attr('id')] !== false) {
						var op = opacities[el1.attr('id')];
						el1.attr('opacity', op);
					} else {
						el1.attr('opacity', 1);
					}

					el2.css('visibility', 'visible');

					if(this.timelineObjects[i].objectType == 'text_') {
						el1.show();
					} else {
						/*
						if(this.timelineObjects[i].objectType == 'movie') {
							var mov = sheetMediaElement(this.timelineObjects[i].objectId);
							if(mov) {
								mov.visible = 1;
								mov.beginTime = this.timelineObjects[i].beginTime;
								if(mov.player && (player.timelinePlay == true)) {
									mov.player.setCurrentTime(parseInt(sec) - this.timelineObjects[i].beginTime);
									mov.player.play();
								}
							}
						}
						if(this.timelineObjects[i].objectType == 'sound') {
							var snd = sheetMediaElement(this.timelineObjects[i].objectId);
							if(snd) {
								snd.visible = 1;
								snd.beginTime = this.timelineObjects[i].beginTime;
								if(snd.player && (player.timelinePlay == true)) {
									snd.player.setCurrentTime(parseInt(sec) - this.timelineObjects[i].beginTime);
									snd.player.play();
								}
							}
						}
						*/
					}

					break;
				default: return;
			}
		}
	}
	/*
	if((player.currentSheet.sound != null) 
	&& (player.currentSheet.sound.player != null)) {
		var s = parseInt(sec);
		if(player.currentSheet.sound.duration < s) {
			player.currentSheet.sound.player.setCurrentTime(s);
			player.currentSheet.sound.player.play();	
		} else {
			player.currentSheet.sound.player.setCurrentTime(player.currentSheet.sound.duration);
			player.currentSheet.sound.player.pause();
		}
	}
	*/
};

/**
 * Sheet.prototype.timeline
 * @param {type} sec
 * @returns {undefined}
 */
Sheet.prototype.timeline = function(sec) {
	var fpt = parseInt(player.currentSheet.fullPlayTime);

	if(sec == 0) {
		player.currentSheet.autoPlayTime = fpt;
	}

	var playPercent = 100 - ((player.currentSheet.autoPlayTime / fpt) * 100);
	$('#slajdtime').html(secToTime(fpt) + '/' + secToTime(player.currentSheet.autoPlayTime));
	$('#pgbar').css('width', playPercent + '%');

	if(!this.timelineObjects) {
		return;
	}

	for(var i = 0; i < this.timelineObjects.length; i++) {
		if(this.timelineObjects[i].beginTime == sec) {
			var el1 = $('#' + this.timelineObjects[i].objectId);
			var el2 = $('[data-cid="' + this.timelineObjects[i].objectId + '"]');

			var animation = this.timelineObjects[i].animType;
			if((player.subtitles == false) && (el1.attr('data-subs'))) {
				animation = 'hide';
			}

			switch(animation) {
				case 'hide':
					el1.attr('opacity', 0);
					el2.css('visibility', 'hidden');

					if(this.timelineObjects[i].objectType == 'text_') {
						el1.hide();
					} else {
						if((this.timelineObjects[i].objectType == 'movie') 
						|| (this.timelineObjects[i].objectType == 'sound')) {
							var mediaEl = sheetMediaElement(this.timelineObjects[i].objectId);
							if(mediaEl) {
								mediaEl.visible = 0;
								mediaEl.beginTime = 0;
								if(mediaEl.player) {
									mediaEl.player.pause();
								}
							}
						}

						/*
						if(this.timelineObjects[i].objectType == 'movie') {
							var mov = sheetMediaElement(this.timelineObjects[i].objectId);
							if(mov) {
								mov.visible = 0;
								mov.beginTime = 0;
								if(mov.player) {
									mov.player.pause();
								}
							}
						}
						if(this.timelineObjects[i].objectType == 'sound') {
							var snd = sheetMediaElement(this.timelineObjects[i].objectId);
							if(snd) {
								snd.visible = 0;
								snd.beginTime = 0;
								if(snd.player) {
									snd.player.pause();
								}
							}
						}
						*/
					}

					break;
				case 'show':
					if(typeof opacities[el1.attr('id')] !== typeof undefined && opacities[el1.attr('id')] !== false) {
						var op = opacities[el1.attr('id')];
						el1.attr('opacity', op);
					} else {
						el1.attr('opacity', 1);
					}

					el2.css('visibility', 'visible');

					if(this.timelineObjects[i].objectType == 'text_') {
						el1.show();
					} else {
						if((this.timelineObjects[i].objectType == 'movie') 
						|| (this.timelineObjects[i].objectType == 'sound')) {
							var mediaEl = sheetMediaElement(this.timelineObjects[i].objectId);
							if(mediaEl) {
								mediaEl.visible = 1;
								mediaEl.beginTime = this.timelineObjects[i].beginTime;
								if(mediaEl.player && (player.timelinePlay == true)) {
									mediaEl.player.setCurrentTime(0);
									mediaEl.player.play();
								}
							}
						}
						/*
						if(this.timelineObjects[i].objectType == 'movie') {
							var mov = sheetMediaElement(this.timelineObjects[i].objectId);
							if(mov) {
								mov.visible = 1;
								mov.beginTime = this.timelineObjects[i].beginTime;
								if(mov.player && (player.timelinePlay == true)) {
									mov.player.setCurrentTime(0);
									mov.player.play();
								}
							}
						}
						if(this.timelineObjects[i].objectType == 'sound') {
							var snd = sheetMediaElement(this.timelineObjects[i].objectId);
							if(snd) {
								snd.visible = 1;
								snd.beginTime = this.timelineObjects[i].beginTime;
								if(snd.player && (player.timelinePlay == true)) {
									snd.player.setCurrentTime(0);
									snd.player.play();
								}
							}
						}
						*/
					}

					break;
				default: return;
			}
		}
	}
	/*
	if((player.currentSheet.sound != null) 
	&& (player.currentSheet.sound.player != null) 
	&& (sec == 0)) {
		player.currentSheet.sound.player.setCurrentTime(0);
		player.currentSheet.sound.player.play();
	}
	*/
}

/**
 * sheetMediaElement
 * @param {type} timelineId
 * @returns {player.currentSheet.movies|null}
 */
function sheetMediaElement(timelineId) {
	var scid = timelineId.substr(0,9);
	var tid = timelineId.split('_');

	if(scid == 'movie_img') {
		if(tid[3] == 'movie') {
			tid.splice(0, 2);
		} else {
			tid.splice(0, 3);
		}
	} else if(scid == 'movie_yt_') {
		tid.splice(0, 3);
	}

	var fileId = tid.join('_');

	for(var j = 0; j < player.currentSheet.movies.length; j++) {
		if(player.currentSheet.movies[j].file == fileId) {
			return player.currentSheet.movies[j];
		}
	}

	if(player.currentSheet.sound && (player.currentSheet.sound.id == timelineId)) {
		return player.currentSheet.sound;
	}

	return null;
}

//////////////////////////////////// ANIMACJA SLAJDU ////////////////////////////////

function SheetAnimation(type) {
	this.type = type;
}

SheetAnimation.prototype.constructor = SheetAnimation;

////////////////////////////////// MEDIA ///////////////////////////////////

function Movie(id, type, file, x, y, w, h, duration, link) {
	this.id = id;
	this.type = type;
	this.file = file;
	this.x = x;
	this.y = y;
	this.w = w;
	this.h = h;
	this.duration = duration;
	this.beginTime = 0;
	this.container = 'movie_' + file;
	this.player = null;
	this.visible = 0;
	this.link = link;
}

Movie.prototype.constructor = Movie;

function Sound(filename, duration) {
	this.id = 'sound_' + filename;
	this.file = filename;
	this.duration = duration;
	this.container = 'musicSheet';
	this.player = null;
	this.beginTime = 0;
};

Sound.prototype.constructor = Sound;

//////////////////////////////////FILM CHEMICZNY ///////////////////////////////////

function ChemMovie(id, img, file, x, y, w, h) {
	this.id = id;
	this.img = img;
	this.file = file;
	this.x = x;
	this.y = y;
	this.w = w;
	this.h = h;
}

ChemMovie.prototype.constructor = ChemMovie;

function Image(path, x, y, w, h) {
	this.path = path;
	this.x = x;
	this.y = y;
	this.w = w;
	this.h = h;
}

Image.prototype.constructor = Image;

function SheetTimeline(d) {
	this.duration = d;
}

function ObjectTimeline(oid, bt, at, du) {
	this.objectId = oid;
	this.objectType = oid.substr(0,5);
	this.beginTime = parseInt(bt);
	this.animType = at;
	this.duration = parseInt(du);
}

function ajax(type, url, data, callbackOnSuccess, callbackOnError) {
	$.ajax({
		type: type,
		url: url,
		data: data
	})
	.done(function(response) {
		try {
			var data = jQuery.parseJSON(response);
		} catch(err) {
			alert('Wystąpił nieoczekiwany błąd! Skontaktuj się z administratorem!');
			return;
		}

		if(data.console !== null) {
			console.log(data.console);
		}

		if(data.success === true) {
			callbackOnSuccess(data);
		} else {
			callbackOnError(data);
			if(data.console) {
				console.log(data.console);
			}
		}
	})
	.fail(function() {
		alert('Wystąpił nieoczekiwany błąd! Skontaktuj się z administratorem!');
	});
}

/**
 * initMediaPlayer
 * @param {type} obj
 * @returns {undefined}
 */
function initMediaPlayer(obj) {
	$('.mejs-controls').show();

	var controlsAreVisible = false;
	var features = [];
	if(player.currentSheet.initPlayers == false) {
		player.currentSheet.initPlayers = true;
		controlsAreVisible = true;
		features = ['progress','current','duration'];
	}

	/*
	var controlsAreVisible = false;
	var features = [];

	if(obj.container != 'musicPresentation') {
		player.timelinePlay = false;
		if(player.currentSheet.longestMediaId == obj.container) {
			controlsAreVisible = true;
			features = ['progress','current','duration'];
		}
	}
	*/

	$('#' + obj.container).mediaelementplayer({
		mode: 'auto',
		loop: false,
		enableAutosize: false,
		iPadUseNativeControls: true,
		iPhoneUseNativeControls: true,
		AndroidUseNativeControls: true,
		enableKeyboard: false,
		pauseOtherPlayers: false,
		pluginPath: mePluginPath, 
		enablePluginSmoothing: true,
		alwaysShowControls: true,
		// duration: player.currentSheet.fullPlayTime,
		startVolume: 0.6,
		enablePluginDebug: false,
		httpsBasicAuthSite: !1,
		type: '',
		plugins: ['flash','silverlight','youtube','vimeo'],
		flashName: 'flashmediaelement-cdn.swf',
		flashStreamer: '',
		silverlightName: 'silverlightmediaelement.xap',
		controlsAreVisible: controlsAreVisible,
		features: features,
		success: function(me, node) {
			var playerId = node.id;

			me.addEventListener('loadstart',function(e) {
				if(playerId == 'musicPresentation') {
					me.play();
				}
			}, false);
			/*
			me.addEventListener('seeking', function() {
			}, false);
			me.addEventListener('seeked',function(e) {
			}, false);
			me.addEventListener('progress',function(e) {
			}, false);
			me.addEventListener('error',function(e) {
			}, false);
			*/
			me.addEventListener('play',function(e) {
				for(var j = 0; j < player.currentSheet.movies.length; j++) {
					var media = player.currentSheet.movies[j];
					if(media.container == obj.container) {
						media.duration = Math.floor(me.duration);

						for(var t = 0; t < player.currentSheet.timelineObjects.length; t++) {
							var to = player.currentSheet.timelineObjects[t];
							if(to.objectId.match(media.file) && (to.animType == 'hide')) {
								to.beginTime = media.duration;
							}
						}
					}
				}

				if(playerId != 'musicPresentation') {
					// Wlaczenie odtwarzania filmu ustawia flage 
					// ze sterowaniem slajdu zajmie sie film a nie timeline
					player.currentMediaPlaying = true;

					// Film ktory zostal wlaczony przejmuje kontrole nad timeline 
					// poniewaz najczesciej wymaga zbuforowania co musi wstrzymac 
					// odtwarzanie slajdu
					player.currentMediaPlayingId = playerId;
				}
			}, false);
			me.addEventListener('playing',function(e) {
				if(playerId != 'musicPresentation') {
					// Ustawiamy id filmu ktory bedzie sterowal slajdem
					if(player.currentMediaPlayingId == null) {
						player.currentMediaPlayingId = playerId;
					}
				}
			}, false);
			me.addEventListener('pause',function(e) {
				if(playerId != 'musicPresentation') {
					if(player.currentMediaPlayingId == playerId) {
						// Jesli film ktory steruje slajdem sie skonczy to zresetuj 
						// identyfikator filmu zeby inny mogl przejac kontrole nad slajdem
						player.currentMediaPlayingId = null;

						for(var i = 0; i < player.currentSheet.movies.length; i++) {
							if(player.currentSheet.movies[i].visible == 1) {
//								player.currentMediaPlayingId = player.currentSheet.movies[i].container;
								return;
							}
						}

						// Jesli nie ma juz zadnego filmu ktory jest odtwarzany to 
						// usun flage ze sterowanie odbywa sie poprzez odtwarzany film
						player.currentMediaPlaying = false;
					}
				}
			}, false);
			me.addEventListener('ended',function(e) {
				if(playerId != 'musicPresentation') {
					// Jesli film ktory steruje slajdem sie skonczy to zresetuj 
					// identyfikator filmu zeby inny mogl przejac kontrole nad slajdem
					player.currentMediaPlayingId = null;

					// Jesli nie ma juz zadnego filmu ktory jest odtwarzany to 
					// usun flage ze sterowanie odbywa sie poprzez odtwarzany film
					player.currentMediaPlaying = false;
				}
			}, false);
			me.addEventListener('timeupdate', function() {
				if(playerId != 'musicPresentation') {
					// Aktualy czas filmu
					var parseCurrentTime = parseInt(me.currentTime);

					// Sterowaniem timeline`em zajmuje sie film ktory otrzymal 
					// pozwolenie a nie dowolny z filmow znajdujacych sie na slajdzie
					if(player.currentMediaPlayingId != playerId) {
						return;
					}

					// Szlaban na odtwarzanie timeline`u, moze wynikaz z buforowania
					if(player.currentMediaPlaying == false) {
						return;
					}

					// Warunek uruchamiajacy timeline co sekunde bo funkcja 
					// timeupdate wykonywana jest duzo czesciej
					if(player.currentMediaPlayingTime != parseCurrentTime) {
						player.currentMediaPlayingTime = parseCurrentTime;

						var bt = 0;
						for(var i = 0; i < player.currentSheet.movies.length; i++) {
							if(player.currentSheet.movies[i].container == player.currentMediaPlayingId) {
								bt = player.currentSheet.movies[i].beginTime;
							}
						}

						player.currentSheet.autoPlayTime = player.currentSheet.fullPlayTime - (bt + parseCurrentTime);
						player.currentSheet.timeline(player.currentSheet.fullPlayTime - player.currentSheet.autoPlayTime);
					}
				}
			}, false);

			if(playerId == 'musicPresentation') {
				document.getElementById('audioButton')['onclick'] = function() {
					if(me.paused) {
						me.play();
						$(this).removeClass('audioOff');
						$('.tooltip').html('Wyłącz dźwięk');
					} else {
						me.pause();
						$(this).addClass('audioOff');
						$('.tooltip').html('Włącz dźwięk');
					}

					refreshTooltips();
				};
			}

			obj.player = me;
		}
	});
}

/**
 * playSheet
 * @returns {undefined}
 */
function playSheet() {
	if(player.currentMediaPlaying == false) {
		player.currentSheet.timeline(player.currentSheet.fullPlayTime - player.currentSheet.autoPlayTime);
		player.currentSheet.autoPlayTime--;
	}
}

/**
 * toggleSheetMusic
 * @returns {undefined}
 */
/*
function toggleSheetMusic() {
	if(player.currentSheet.sound != null) {
		var me = player.currentSheet.sound.player;
		me.play();
	}
}
*/
/**
 * removeMedia
 * @returns {undefined}
 */
function removeMedia() {
	if(player.currentSheet == null) {
		return;
	}

	for(var i = 0; i < player.currentSheet.movies.length; i++) {
		var me = player.currentSheet.movies[i].player;
		if(me) {
			me.pause();
		}
	}

	if(player.currentSheet.sound != null) {
		var me = player.currentSheet.sound.player;
		if(me) {
			me.pause();
		}
	}
}

/**
 * setMedia
 * @returns {undefined}
 */
function setMedia() {
	for(var i = 0; i < player.currentSheet.movies.length; i++) {
		var me = player.currentSheet.movies[i].player;
		if(me && (player.currentSheet.movies[i].visible == 1)) {
			me.setCurrentTime(player.currentSheet.autoPlayTime - player.currentSheet.movies[i].beginTime);
			/*
			if((player.autoPlay == true) 
			&& (player.timelinePlay == true) 
			&& (player.currentSheet.movies[i].visible == 1)) {
				me.setCurrentTime(player.currentSheet.autoPlayTime - player.currentSheet.movies[i].beginTime);
				me.play();
			} else {
				me.pause();
			}
			*/
		}
	}

	if(player.currentSheet.sound != null) {
		var me = player.currentSheet.sound.player;
		if(me) {
			me.setCurrentTime(player.currentSheet.autoPlayTime - player.currentSheet.sound.beginTime);
		}
	}
}

/**
 * pauseMedia
 * @returns {undefined}
 */
function pauseMedia() {
	for(var i = 0; i < player.currentSheet.movies.length; i++) {
		var me = player.currentSheet.movies[i].player;
		if(me) {
			me.pause();
		}
	}

	if(player.currentSheet.sound != null) {
		var me = player.currentSheet.sound.player;
		if(me) {
			me.pause();
		}
	}
}

/**
 * seekToMedia
 * @param {type} sec
 * @returns {undefined}
 */
function seekToMedia(sec) {
	/*
	player.currentSheet.autoPlayTime = player.currentSheet.fullPlayTime - parseInt(sec);

	for(var i = 0; i < player.currentSheet.movies.length; i++) {
		var me = player.currentSheet.movies[i].player;
		if(me) {
			me.setCurrentTime(sec);
		}
	}

	if(player.currentSheet.sound != null) {
		var me = player.currentSheet.sound.player;
		if(me) {
			me.setCurrentTime(sec);
		}
	}
	*/
}

function secToTime(totalSec) {
	var hours = parseInt( totalSec / 3600 ) % 24;
	var minutes = parseInt( totalSec / 60 ) % 60;
	var seconds = totalSec % 60;
	return (hours < 10 ? "0" + hours : hours) + ":" + (minutes < 10 ? "0" + minutes : minutes) + ":" + (seconds  < 10 ? "0" + seconds : seconds);
}