var confirmFunc;

$(window).resize(function(){
	if($("#customAlert"))
	{
		$("#customAlert").center();
	}
	
	if($("#customConfirm"))
	{
		$("#customConfirm").center();
	}
});

function customAlert(text)
{
	$("body").append("<div id=\"customAlert\"><h3 class=\"popupHeader\">" + text + "</h3><div class=\"center\"><input type=\"button\" class=\"submitButton\" id=\"customAlertOkButton\" value=\"OK\"/></div></div>");
	$("body").append("<div id=\"customAlertOverlay\"></div>");
	
	$("#customAlert").center();
	$("#customAlertOkButton").click(closeCustomAlert);
}

function closeCustomAlert()
{
	$("#customAlert").remove();
	$("#customAlertOverlay").remove();
}

function customConfirm(text, func)
{
	$("body").append("<div id=\"customConfirm\"><h3 class=\"popupHeader\">" + text + "</h3><div class=\"center\"><input type=\"button\" class=\"submitButton\" id=\"customConfirmOkButton\" value=\"OK\"/><input type=\"button\" class=\"submitButton\" id=\"customConfirmCancelButton\" value=\"anuluj\"/></div></div>");
	$("body").append("<div id=\"customAlertOverlay\"></div>");
	
	confirmFunc = func;
	
	$("#customConfirm").center();
	$("#customConfirmOkButton").click(customConfirmOk);
	$("#customConfirmCancelButton").click(closeCustomConfirm);
}

function customConfirmOk()
{
	closeCustomConfirm();
	confirmFunc();
}

function closeCustomConfirm()
{
	$("#customConfirm").remove();
	$("#customAlertOverlay").remove();
}

jQuery.fn.center = function () {
    this.css("position","absolute");
    this.css("top", (($(window).height() - this.outerHeight()) / 2) + $(window).scrollTop() + "px");
    this.css("left", (($(window).width() - this.outerWidth()) / 2) + $(window).scrollLeft() + "px");
    return this;
}