$(document).ready(function() {
	$("#position").click(function() {
		if((activeObj != null) && (activeObj.length > 0)) {
			$.fancybox({
				padding:0,
				href: '?page=presentations&cl=setposition&id=' + activeObj
			});
			$(".tooltip").hide();
		} else {
			customAlert("Zaznacz obiekt");
		}
	});
    $("#textformat").click(function(){
        splitid = activeObj.split("_");
        x = document.getElementById(activeObj).x.baseVal.value
        y = document.getElementById(activeObj).y.baseVal.value
        $.fancybox({
            'href': 'index.php/presentation/contentEditor/id/'+splitid[1]+'/x/'+x+'/y/'+y+'/w/'+tmp_width+'/h/'+tmp_height+'/'
        });
        $(".tooltip").hide();
    });

	$("#animLibrary").click(function(){
		$.fancybox({
			width: 820,
			padding: 0,
			href: serverName + '?page=presentations&cl=animLibrary'
		});
		$(".tooltip").hide();
	});

	$('#cutSheetToObjects').click(function() {
		var j = 0;
		var sheetItems = new Array();

		var svg = document.getElementsByTagName('svg')[0];
		var xmove = parseInt(svg.getAttribute('width'));
		var ymove = parseInt(svg.getAttribute('height'));

		$.each($('#workplace').find('#workarea g'), function() {
			var group = $(this);
			$.each(group.children(), function() {
				var xpos = parseInt($(this).attr('x'));
				var ypos = parseInt($(this).attr('y'));

				if(xpos < xmove) {
					xmove = xpos;
				}

				if(ypos < ymove) {
					ymove = ypos;
				}

				sheetItems[j] = this;
				j++;
			});
		});

		// if((sheetItems.length > 0) && ((xmove > 0) || (ymove > 0))) {
		if(sheetItems.length > 0) {
			if(xmove == parseInt(svg.getAttribute('width'))) {
				xmove = 0;
			}

			if(ymove == parseInt(svg.getAttribute('height'))) {
				ymove = 0;
			}

			$.each(sheetItems, function(index, element) {
				var xobj = parseInt(element.getAttribute('x')) - xmove;
				var yobj = parseInt(element.getAttribute('y')) - ymove;
				element.setAttribute('x', xobj);
				element.setAttribute('y', yobj);
			});

			var box = document.getElementById('workarea').getBBox();
			svg.setAttribute('width', box.width);
			svg.setAttribute('height', box.height);
			svg.setAttribute('viewBox', '0 0 ' + box.width + ' ' + box.height);
			saveSvg();
		}
	});

	$("#shape").click(function() {
		$.fancybox({
			width: 820,
			padding: 0,
			href: serverName + '?page=presentations&cl=iconset'
		});
		$(".tooltip").hide();
	});

	$("#composition").click(function() {
		$.fancybox({
			padding: 0,
			href: serverName + '?page=presentations&cl=template'
		}); 
		$(".tooltip").hide();
	});

    $("#layers").click(function() {
        showElementAndHideRest('#layersEditor');
    });
});

function setObjPosition(objid, objpos) {
	var node = document.getElementById(objid);

	var svg = document.getElementsByTagName('svg')[0];
	var workplaceWidth = svg.getAttribute('width');
	var workplaceHeight = svg.getAttribute('height');

	var posX = 0;
	var posY = 0;

	var x = node.hasAttribute('cx') ? 'cx' : 'x';
	var y = node.hasAttribute('cy') ? 'cy' : 'y';

	if(objpos == "CC") {
		if((objid.substr(0,6) == 'circle') || (objid.substr(0,7) == 'ellipse')) {
			posX = workplaceWidth / 2;
			posY = workplaceHeight / 2;
		} else if((objid.substr(0,4) == 'rect') || (objid.substr(0,4) == 'text') 
				|| (objid.substr(0,5) == 'image') || (objid.substr(0,5) == 'movie') 
				|| (objid.substr(0,4) == 'chem')) {
			posX = (workplaceWidth / 2) - (node.getAttribute('width') / 2);
			posY = (workplaceHeight / 2) - (node.getAttribute('height') / 2);
		}
	} else if(objpos == "LGR") {
		if(objid.substr(0,6) == 'circle') {
			posX = node.getAttribute('r');
			posY = node.getAttribute('r');
		} else if(objid.substr(0,7) == 'ellipse') {
			posX = node.getAttribute('rx');
			posY = node.getAttribute('ry');
		} else if((objid.substr(0,4) == 'rect') || (objid.substr(0,4) == 'text') 
				|| (objid.substr(0,5) == 'image') || (objid.substr(0,5) == 'movie') 
				|| (objid.substr(0,4) == 'chem')) {
			posX = 0;
			posY = 0;
		}
	} else if(objpos == "GS") {
		if(objid.substr(0,6) == 'circle'){
			posX = workplaceWidth / 2;
			posY = node.getAttribute('r');
		} else if (objid.substr(0,7) == 'ellipse') {
			posX = workplaceWidth / 2;
			posY = node.getAttribute('ry');
		} else if((objid.substr(0,4) == 'rect') || (objid.substr(0,4) == 'text') 
				|| (objid.substr(0,5) == 'image') || (objid.substr(0,5) == 'movie') 
				|| (objid.substr(0,4) == 'chem')) {
			posX = (workplaceWidth / 2) - (node.getAttribute('width') / 2);
			posY = 0;
		}
	} else if(objpos == "PGR") {
		if(objid.substr(0,6) == 'circle') {
			posX = workplaceWidth - node.getAttribute('r');
			posY = node.getAttribute('r');
		} else if(objid.substr(0,7) == 'ellipse') {
			posX = workplaceWidth - node.getAttribute('rx');
			posY = node.getAttribute('ry');
		} else if((objid.substr(0,4) == 'rect') || (objid.substr(0,4) == 'text') 
				|| (objid.substr(0,5) == 'image') || (objid.substr(0,5) == 'movie') 
				|| (objid.substr(0,4) == 'chem')) {
			posX = workplaceWidth - node.getAttribute('width');
			posY = 0;  
		}
	} else if(objpos == "LDR") {
		if(objid.substr(0,6) == 'circle') {
			posX = node.getAttribute('r');
			posY = workplaceHeight - node.getAttribute('r');
		} else if (objid.substr(0,7) == 'ellipse') {
			posX = node.getAttribute('rx');
			posY = workplaceHeight - node.getAttribute('ry');
		} else if((objid.substr(0,4) == 'rect') || (objid.substr(0,4) == 'text') 
				|| (objid.substr(0,5) == 'image') || (objid.substr(0,5) == 'movie') 
				|| (objid.substr(0,4) == 'chem')) {
			posX = 0;
			posY = workplaceHeight - node.getAttribute('height');
		}
	} else if(objpos == "DS") {
		if(objid.substr(0,6) == 'circle'){
			posX = workplaceWidth / 2;
			posY = workplaceHeight - node.getAttribute('r');
		} else if(objid.substr(0,7) == 'ellipse') {
			posX = workplaceWidth / 2;
			posY = workplaceHeight - node.getAttribute('ry');
		} else if((objid.substr(0,4) == 'rect') || (objid.substr(0,4) == 'text') 
				|| (objid.substr(0,5) == 'image') || (objid.substr(0,5) == 'movie') 
				|| (objid.substr(0,4) == 'chem')) {
			posX = (workplaceWidth / 2) - (node.getAttribute('width') / 2);
			posY = workplaceHeight - node.getAttribute('height');
		}
	} else if(objpos == "PDR") {
		if(objid.substr(0,6) == 'circle') {
			posX = workplaceWidth - node.getAttribute('r');
			posY = workplaceHeight - node.getAttribute('r');
		} else if(objid.substr(0,7)=='ellipse') {
			posX = workplaceWidth - node.getAttribute('rx');
			posY = workplaceHeight - node.getAttribute('ry');
		} else if((objid.substr(0,4) == 'rect') || (objid.substr(0,4) == 'text') 
				|| (objid.substr(0,5) == 'image') || (objid.substr(0,5) == 'movie') 
				|| (objid.substr(0,4) == 'chem')) {
			posX = workplaceWidth - node.getAttribute('width');
			posY = workplaceHeight - node.getAttribute('height');
		}
	}

	node.setAttribute(x, posX);
	node.setAttribute(y, posY);
	clearCorners();
	saveSvg();

	/*
    $.ajax({
        type: 'POST',
        url: "index.php/presentation/changePosition",
        data: {name:objid, cx: posX, cy: posY},
        success: function(newData) {
//            var newData = $.parseJSON(data);
            saveSvg();
            changeWorkContent(lastID);
        }
    });
	*/
    $.fancybox.close();
}

// project size
function changeSize(info) {
    waitingOverlay('on');
    $.ajax({
        type: 'POST',
        url: "index.php/presentation/changeSize",
        data: {projectSize: info.value},
        success: function(newData) {
//            var newData = $.parseJSON(data);
            if (newData.success == true) {
                if (newData.projectproportion == "1280 x 800") {
                    workWidth = 1280;
                    workHeight = 800;
                } else if (newData.projectproportion == "1024 x 768") {
                    workWidth = 1024;
                    workHeight = 768;
                } else if (newData.projectproportion == "1024 x 600") {
                    workWidth = 1024;
                    workHeight = 600;
                } else if (newData.projectproportion == "800 x 600") {
                    workWidth = 800;
                    workHeight = 600;
                } else if (newData.projectproportion == "800 x 480") {
                    workWidth = 800;
                    workHeight = 480;
                } else if (newData.projectproportion == "640 x 480") {
                    workWidth = 640;
                    workHeight = 480;
                } else if (newData.projectproportion == "480 x 320") {
                    workWidth = 480;
                    workHeight = 320;
                } else if (newData.projectproportion == "320 x 240") {
                    workWidth = 320;
                    workHeight = 240;
                } else {
                    workWidth = 800;
                    workHeight = 600;
                }
                workMargin = parseInt((middleWidth-workWidth)/2);

                $("#workplace").css("width",workWidth+"px");
                $("#workplace").css("height",workHeight+"px");
//                $("#workplace").css("margin","20px "+workMargin+"px 20px "+workMargin+"px");
                changeWorkContent(lastID);
                reloadSlideMenu();
                centerWorkplace();
                $.fancybox.close();
                waitingOverlay('off');                    
            } else {
                customAlert ("Błąd");
                $.fancybox.close();
                waitingOverlay('off');
            }
        }
    });
};
/**
 * setAnimation
 * @param {type} animid
 * @param {type} sheetid
 * @returns {undefined}
 */
function setAnimation(animid, sheetid) {
	if(sheetid>0) {
		sheetid = sheetid;
	} else {
		sheetid = 0;
	}

	$.ajax({
		url: "?page=presentations&cl=setAnimation",
		type: "POST",
        data: {
            sheet: sheetid,
            anim: animid
        },
        success: function(newData) {
            if (newData.success != true) {
                customAlert("Błąd - odśwież stronę i spróbuj ponownie");
            } else {
                parent.$.fancybox.close();
            }
        },
        error: function(){
            customAlert("Błąd zapisu - odśwież stronę i spróbuj ponownie");
        }
    });            
}

function chooseAnimation(sheetid) {
    $.fancybox({
		href: serverName + '?page=presentations&cl=animLibrary&sheet=' + sheetid,
        padding:0
    });    
    $(".tooltip").hide();
}

function deleteSheet(sheetid) {
	tmp_sheet = sheetid;
	slideMinus();
}
