//CHECK WINDOW SIZE
d = document;
var winWidth;
var winHeight;
var workMargin;
var middleWidth;
var middleHeight;
var slideHeight;
var workWidth;
var workHeight;
var oryginalHeight;
/*
function checkWindowSize() {
	if(typeof window.innerWidth != 'undefined') { 
		winWidth = window.innerWidth;
		winHeight = window.innerHeight;
	} else {
		if(d.documentElement && typeof d.documentElement.clientWidth != 'undefined' && d.documentElement.clientWidth != 0) {
			winWidth = d.documentElement.clientWidth
			winHeight = d.documentElement.clientHeight
		} else {
			if(d.body && typeof d.body.clientWidth!='undefined') {
				winWidth = d.body.clientWidth
				winHeight = d.body.clientHeight
			}
		}
	}

	middleWidth = winWidth-400;
	middleHeight = winHeight-78;
	slideHeight = middleHeight-30;
	workHeight = middleHeight-40;
	oryginalHeight = workHeight;

	if(proportion == "1280 x 800") {
		workWidth = 1280;
		workHeight = 800;
	} else if(proportion == "1024 x 768") {
		workWidth = 1024;
		workHeight = 768;
	} else if(proportion == "1024 x 600") {
		workWidth = 1024;
		workHeight = 600;
	} else if(proportion == "800 x 600") {
		workWidth = 800;
		workHeight = 600;
	} else if(proportion == "800 x 480") {
		workWidth = 800;
		workHeight = 480;
	} else if(proportion == "640 x 480") {
		workWidth = 640;
		workHeight = 480;
	} else if(proportion == "480 x 320") {
		workWidth = 480;
		workHeight = 320;
	} else if(proportion == "320 x 240") {
		workWidth = 320;
		workHeight = 240;
	} else {
		workWidth = 800;
		workHeight = 600;
	}

	workMargin = parseInt((middleWidth-workWidth)/2);
}

checkWindowSize();
var cl = 0;
*/

var entityMap = {
	"&": "&amp;",
	"<": "&lt;",
	">": "&gt;",
	'"': '&quot;',
	"'": '&#39;',
	"/": '&#x2F;',
	"&nbsp;": '',
	"\n" : '<br>'
};

/**
 * escapeHtml
 * @param {type} string
 * @returns {unresolved}
 */
function escapeHtml(string) {
	return String(string).replace(/[&<>"'\/]|[\n]/g, function (s) {
		return entityMap[s];
	});
};

/**
 * heartBeat
 * @param {type} actNumber
 */
function heartBeat(actNumber) {
	var actualtime = new Date().getTime();

	if(actNumber === 'logout') {
		actualtime = 0;
	}

	$.ajax({
		type: 'POST',
		url: serverName + '?page=presentations&cl=heartBeat',
		data: {
			time: actualtime
		},
        success: function(response) {
			if(response.success === false) {
				console.log('hb: false');
				return false;
			}
		},
		error: function() {
			customAlert("Błąd zapisu - odśwież stronę i spróbuj ponownie");
		}
	});
}

var vieport = $(window).resize(updateOnResize);

function workplaceParams() {
	var lp = $('#leftpanel');
	var rp = $('#rightpanel');

	var workplace = {
		'left' : {
			'width' : lp.width(),
			'height' : lp.height()
		},
		'center' : {
			'width' : vieport.width() - lp.width() - rp.width() - 2,
			'height' : vieport.height() - 125
		},
		'right' : {
			'width' : rp.width(),
			'height' : rp.height()
		}
	};

	return workplace;
}

function updateOnResize() {
	var wp = workplaceParams();

	// $('#view').css('width', '100%').css('height', '100%');
	// $('#bgimg').css('border', '1px solid red').css('width', '100%').css('height', '100%');
			// .attr('width', '90%').attr('height', '90%');

	//workplaceWidth = wp.center.width - wp.left.width - wp.right.width - 2;
	//workplaceHeight = wp.center.height - 125;

	$('#slidmenu').css('height', wp.center.height + "px");
	$('#rightnavigator').css('height', wp.center.height + "px");
	$('#workplace').css('height', wp.center.height + "px").css('width', wp.center.width + "px");
	$('#noteGenerator').css('height', (vieport.height() - 50) + "px");
	$('#note').css('height', (vieport.height() - 130) + "px");
	$('#middlepanel').css('top', 124).css('left', (wp.left.width + 1));
	$('#search-results').css('height', wp.center.height + 45 + "px");
	/*
	var svg = document.getElementById('svg_' + project + '_' + lastID);
	var svgRatio = wp.center.width / svg.getAttribute('width');

	$('svg')
		.css('width', svg.getAttribute('width') * svgRatio)
		.css('height', svg.getAttribute('height') * svgRatio);
	*/
	/*
	$('#middlepanel')
		.css('top', 166)
		.css('left', (leftPanel.width() + 1))
		.css('width', workplaceWidth)
		.css('height', workplaceHeight);

	$('#workplace')
		.css('width', workplaceWidth)
		.css('height', workplaceHeight);
	*/
}

function svgBgClick(X,Y, width, height) {
	clearCorners();

	if(drag && parseInt(drag.style.width) > 0) {
		if(activeTool === 'rect') {
			var tmpname = new Date().getTime();
			var data = $('form#rectGeneratorForm').serializeArray();
			makeRect('rect_' + tmpname+ '_' + parseInt(Math.random()*100), X, Y, width, height, 0, data[6].value, data[7].value, 1, 'rect_x_' + tmpname + '_' + parseInt(Math.random()*100), true, '');
		} else if(activeTool === 'circle') {
			var tmpname = new Date().getTime();
			x1 = X + width / 2;
			y1 = Y + height / 2;
			r = width / 2;
			var data = $("form#circleGeneratorForm").serializeArray();
			makeCircle("circle_"+tmpname+"_"+parseInt(Math.random()*100), x1, y1, r, data[4].value, data[5].value, 1, "circle_x_"+tmpname+"_"+parseInt(Math.random()*100),true,"");
		} else if(activeTool === 'ellipse') {
			var tmpname = new Date().getTime();
			x1 = X + width / 2;
			y1 = Y + height / 2;
			w1 = width / 2;
			h1 = height / 2;
			var data = $("form#ellipseGeneratorForm").serializeArray();
			makeEllipse("ellipse_"+tmpname+"_"+parseInt(Math.random()*100), x1, y1, w1, h1, data[5].value, data[6].value, 1, "ellipse_x_"+tmpname+"_"+parseInt(Math.random()*100),true,"");
//		} else {
//			customAlert('wybierz narzędzia do rysowania');
		}
	}
}

var startPointX = 0;
var startPointY = 0;

function clearTempDivs() {
	var tempDiv4Svg = $('#tempDiv4Svg');
	if(tempDiv4Svg.length) {
		var tempWidth = parseInt(tempDiv4Svg.css('width'));
		var tempHeight = parseInt(tempDiv4Svg.css('height'));
		// var startPointX = parseInt(tempDiv4Svg.data('startX'));
		// var startPointY = parseInt(tempDiv4Svg.data('startY'));

		svgBgClick(startPointX, startPointY, tempWidth, tempHeight);
		tempDiv4Svg.remove();
		activeTool = '';
	}

	var tempDiv4Movie = $('#tempDiv4Movie');
	if(tempDiv4Movie.length) {
		tempDiv4Movie.remove();
	}
}
/**
 * bindBackground
 * @returns {undefined}
 */
function bindBackground() {
	$('#bgimg')
		.dblclick(
			function(event) {
				event.preventDefault();
				// $(this).hide(100).show(500);
			}
		)
		.click(
			function(event) {
				event.preventDefault();
				clearCorners();
			}
		)
		.mousedown(
			function(event) {
				event.preventDefault();

				var svg = document.getElementsByTagName('svg')[0];

				var startPoint = svg.createSVGPoint();
				startPoint.x = event.clientX;
				startPoint.y = event.clientY;
				startPoint.matrixTransform(svg.getScreenCTM().inverse());

				drag = document.createElement('div');
				if(activeTool != 'movie') {
					drag.setAttribute('id', 'tempDiv4Svg');
				}else {
					drag.setAttribute('id', 'tempDiv4Movie');
				}

				startPointX = event.pageX - $(this).offset().left;
				startPointY = event.pageY - $(this).offset().top;

				drag.mousedown = function() {};
				drag.style.position = 'absolute';
				drag.style.left = startPoint.x + 'px';
				drag.style.top = startPoint.y + 'px';
				drag.style.border = '1px dashed black';
				document.body.appendChild(drag);

				var onmove = function(event) {
					drag.style.width = parseInt(event.clientX - startPoint.x) + 'px';
					drag.style.height = parseInt(event.clientY - startPoint.y) + 'px';
				};

				document.body.addEventListener('mousemove', onmove, false);
				document.body.addEventListener('mouseup', function() {
					document.body.removeEventListener('mousemove', onmove, false);
					clearTempDivs();
				}, false);
			}
		);
}

$(document).ready(function() {
	var svg = document.getElementsByTagName('svg')[0];
	if((svg instanceof SVGSVGElement) && (svg.getAttribute('width') === null)) {
		var wp = workplaceParams();
		svg.setAttribute('width', wp.center.width);
		svg.setAttribute('height', wp.center.height);
		svg.setAttribute('viewBox', '0 0 ' + wp.center.width + ' ' + wp.center.height);
		saveSvg();
	}
	/*
	$('#workplace').mouseup(
		function(event) {
			event.preventDefault();
			saveSvg();
		}
	);
	*/
	$(document).keydown(function(e) {
		e = e || window.event;
		switch(e.which || e.keyCode) {
			case 106: slideMoreRight(); break;
			case 107: slideMoreDown(); break;
			case 109: slideLessDown(); break;
			case 111: slideLessRight(); break;
			default: return;
		};
		e.preventDefault();
	});

	updateOnResize();

	$('#sheetList svg').removeAttr('id').css('width', 150).css('height', 116);

	// Bindujemy elementy svga
	$.each($('#workplace').find('#workarea g'), function() {
		var groupNodes = this.childNodes;

		for(var i = 0; i < groupNodes.length; ++i) {
			var element = groupNodes[i];
			bindElement(element, false);
		}
	});

	// Bindujemy obiekty znajdujace sie poza svga
	// $.each($('.pObject'), function() {
	//	bindElement(this, false);
	// });

	var layerlist = $('#layerList');
	layerlist.html('');

	if(sheetLayers.length > 0) {
		var sheetLayersCopy = sheetLayers.slice();
		sheetLayersCopy.reverse();

		for(var i = 0; i < sheetLayersCopy.length; ++i) {
			objectLayers = objectLayers.concat(sheetLayersCopy[i]);
		}
		layerlist.html(objectLayers);
		// layerlist.html(textLayers + movieLayers + objectLayers);
	}

	bindBackground();
	// heartBeat();
	// setInterval(heartBeat, 300000);

		/*
	$('#bgimg').click(function(event) {
		// wylaczenie kulek gdy klikniemy na tlo
		//if(event.target.id == '' || event.target.id == 'bgimg') {
			clearCorners();
		//}
	});*/
	/*
    // menu
    $("#tabs").tabs();
	*/

	$('#runColorPicker').fancybox({
		padding: 0,
		href: '?page=presentations&cl=colorpicker'
	});

	$('#runColorPickerbg').fancybox({padding: 0});
	$('#runColorPickerborder').fancybox({padding: 0});
	$("#runColorPickerbgEdit").fancybox({padding: 0});
	$("#runColorPickerborderEdit").fancybox({padding: 0});
	$("#runColorPickerCirclebg").fancybox({padding: 0});
	$("#runColorPickerCirclebgEdit").fancybox({padding: 0});
	$("#runColorPickerCircleborder").fancybox({padding: 0});
	$("#runColorPickerCircleborderEdit").fancybox({padding: 0});
	$("#runColorPickerEllipsebg").fancybox({padding: 0});
	$("#runColorPickerEllipseborder").fancybox({padding: 0});
	$("#runColorPickerEllipsebgEdit").fancybox({padding: 0});
	$("#runColorPickerEllipseborderEdit").fancybox({padding: 0});
	$("#runColorPickerStroke").fancybox({padding: 0});
	$("#runColorPickerStrokeEdit").fancybox({padding: 0});
//	$("#runColorPickerText").fancybox({padding:0});
//	$("#runColorPickerTextEdit").fancybox({padding:0});
	/*

    // font face changer
//    $("#fontFace").change(function() {
//        waitingOverlay('on');
//        $.ajax({
//            type: 'POST',
//            url: "index.php/presentation/changeFontface",
//            data: $("#fontFace").serialize(),
//            success: function(data) {
//                var newData = $.parseJSON(data);
//                $("#workplace").css("font-family",newData.fontface);
//                waitingOverlay('off');
//            }
//        });
//    });
    // font size changer
//    $("#fontSize").change(function() {
//        waitingOverlay('on');
//        $.ajax({
//            type: 'POST',
//            url: "index.php/presentation/changeFontsize",
//            data: $("#fontSize").serialize(),
//            success: function(data) {
//                var newData = $.parseJSON(data);
//                $("#workplace").css("font-size",newData.fontsize+'px');
//                waitingOverlay('off');
//            }
//        });
//    });
    //      sort sheets
	*/
	$('#layerList').sortable({
		placeholder: 'ui-state-highlight',
		items: 'li:not(.ui-state-disabled)',
		update : function () {
			waitingOverlay('on');

			var li = 0;
			var list = new Array();

			var layers = document.getElementById('layerList');
			for(var i = 0; i < layers.childNodes.length; ++i) {
				var item = layers.childNodes[i];
				var id = item.getAttribute('id').substr(6,50);
				var node = document.getElementById(id);
				list[li] = node;
				li++
			}

			list.reverse();
			$('#workarea').html('');
			
			iloscObiektow = 0;
			sheetLayers = new Array();

			var svg = document.getElementById('workarea');

			$.each(list, function() {
				svg.appendChild(this.parentNode);
				bindElement(this, false);
			});

			// textLayers = '';
			// movieLayers = '';
			// objectLayers = '';

			var obj = activeObj;
			clearCorners();
			saveSvg();

			/*
			$.ajax({
				type: 'POST',
				url: serverName + '?page=presentations&cl=saveSvg',
				data: {
					svg: $('#workplace').html()
				},
				success: function(response) {
					if(response.success === false) {
						customAlert(response.message);
						console.log(response.console);
						return;
					}

					activeObj = obj;
					changeWorkContent(lastID);
					reloadCurrentSlideThumb();
				}
			});
			*/
			/*
			$.ajax({
				url: "index.php/presentation/sortLayers",
				type: "POST",
				data: serial,
				success: function(newData) {
					if(newData.success != true) {
						customAlert("Błąd zapisu - odśwież stronę i spróbuj ponownie");
					} else {
						changeWorkContent (lastID);
						showElementAndHideRest('#layersEditor');
					}
					waitingOverlay('off');
				},
				error: function() {
					customAlert("Błąd zapisu - odśwież stronę i spróbuj ponownie");
					waitingOverlay('off');
				}
			});
			*/
		}
	}); // Zeby bylo mozliwe uzywanie pol tekstowych przy edycji layera
	//}).disableSelection();
	/*
    //slider opacity
    $("#slider").slider({
        value:defOpacity,
        min: 0,
        max: 1,
        step: 0.1,
        slide: function(event, ui) {
            $("#opacity").val(ui.value);
            waitingOverlay('on');
            $.ajax({
                type: 'POST',
                url: "index.php/presentation/changeOpacity",
                data: $("#opacity").serialize(),
                success: function(newData) {
                    waitingOverlay('off');
                }
            });
        }
    });
    $("#opacity").val($("#slider").slider("value"));
	*/
	$('#rectslider').slider({
		value: defOpacity, 
		min: 0,
		max: 1,
		step: 0.1,
		slide: function(event, ui) {
			$('#rectopacity').val(ui.value);
		}
	});
	$('#rectopacity').val($('#rectslider').slider('value'));

	$('#rectslider2').slider({
		value: defOpacity,
		min: 0,
		max: 1,
		step: 0.1,
		slide: function(event, ui) {
			$('#rectopacity2').val(ui.value);
		}
	});
	$('#rectopacity2').val($('#rectslider2').slider('value'));

	$('#radiusslider').slider({
		value: 0,
		min: 0,
		max: 100,
		step: 1,
		slide: function(event, ui) {
			$('#rectradius').val(ui.value);
		}
	});
	$('#rectradius').val($('#radiusslider').slider('value'));

	$('#radiusslider2').slider({
		value: 0,
		min: 0,
		max: 100,
		step: 1,
		slide: function(event, ui) {
			$('#rectradius2').val(ui.value);
		}
	});
	$('#rectradius2').val($('#radiusslider2').slider('value'));

    $("#circleslider").slider({
        value:defOpacity,
        min: 0,
        max: 1,
        step: 0.1,
        slide: function(event, ui) {
            $("#circleopacity").val(ui.value);
        }
    });
    $("#circleopacity").val($("#circleslider").slider("value"));

    $("#circleslider2").slider({
        value:defOpacity,
        min: 0,
        max: 1,
        step: 0.1,
        slide: function(event, ui) {
            $("#circleopacity2").val(ui.value);
        }
    });
    $("#circleopacity2").val($("#circleslider2").slider("value"));

    $("#ellipseslider").slider({
        value:defOpacity,
        min: 0,
        max: 1,
        step: 0.1,
        slide: function(event, ui) {
            $("#ellipseopacity").val(ui.value);
        }
    });
    $("#ellipseopacity").val($("#ellipseslider").slider("value"));

    $("#ellipseslider2").slider({
        value:defOpacity,
        min: 0,
        max: 1,
        step: 0.1,
        slide: function(event, ui) {
            $("#ellipseopacity2").val(ui.value);
        }
    });
    $("#ellipseopacity2").val($("#ellipseslider2").slider("value"));

    $("#imageslider").slider({
        value:defOpacity,
        min: 0,
        max: 1,
        step: 0.1,
        slide: function(event, ui) {
            $("#imageopacity").val(ui.value);
        }
    });
    $("#imageopacity").val($("#imageslider").slider("value"));
    $("#imageslider2").slider({
        value:defOpacity,
        min: 0,
        max: 1,
        step: 0.1,
        slide: function(event, ui) {
            $("#imageopacity2").val(ui.value);
        }
    });
    $("#imageopacity2").val($("#imageslider2").slider("value"));

    $("#strokewidthselectslider").slider({
        value:2, 
        min: 1,
        max: 10,
        step: 1,
        slide: function(event, ui) {
            $("#strokewidthinput").val(ui.value);
            strokewidth = ui.value;            
        }
    });
    $("#strokewidthinput").val($("#strokewidthselectslider").slider("value"));

    $("#strokewidtheditslider").slider({
        value:2, 
        min: 1,
        max: 10,
        step: 1,
        slide: function(event, ui) {
            $("#strokewidthedit").val(ui.value);
        }
    });
    $("#strokewidthedit").val($("#strokewidtheditslider").slider("value"));

	/*
    $("#textslider").slider({
        value:defOpacity,
        min: 0,
        max: 1,
        step: 0.1,
        slide: function(event, ui) {
            $("#textopacity").val(ui.value);
        }
    });
    $("#textopacity").val($("#textslider").slider("value"));
    $("#textslider2").slider({
        value:defOpacity,
        min: 0,
        max: 1,
        step: 0.1,
        slide: function(event, ui) {
            $("#textopacity2").val(ui.value);
        }
    });
    $("#textopacity2").val($("#textslider2").slider("value"));
    
    */
    //bind proportional width/height calculation
	$('input[name=width]').bind('blur', proportionalResize);
	$('input[name=height]').bind('blur', proportionalResize);
    $("input[name=width]").bind('focus', storeOldInputValue);
    $("input[name=height]").bind('focus', storeOldInputValue);

	var selectedItem = 1;
	var menuLabels = new Array();
	var menuItems = new Array();

	menuLabels[1] = "menuFile";
	menuLabels[2] = "menuEdit";
	menuLabels[3] = "menuView";
	menuLabels[4] = "menuInsert";
	menuLabels[5] = "menuSheet";
	menuLabels[6] = "menuFormat";

	menuItems[1] = "menuFileItems";
	menuItems[2] = "menuEditItems";
	menuItems[3] = "menuViewItems";
	menuItems[4] = "menuInsertItems";
	menuItems[5] = "menuSheetItems";
	menuItems[6] = "menuFormatItems";

	$('#menuCompact #menuUp').click( function () {
		$('#'+menuLabels[selectedItem]).hide();
		$('#'+menuItems[selectedItem]).hide();

		selectedItem = selectedItem - 1;

		if(selectedItem == 0) {
			selectedItem = 6
		}
		if(selectedItem == 7) {
			selectedItem = 1
		}

		$('#'+menuLabels[selectedItem]).show();
		$('#'+menuItems[selectedItem]).show();
	});

	$('#menuCompact #menuDown').click( function () {
		$('#'+menuLabels[selectedItem]).hide();
		$('#'+menuItems[selectedItem]).hide();

		selectedItem = selectedItem + 1;

		if(selectedItem == 0) {
			selectedItem = 6
		}

		if(selectedItem == 7) {
			selectedItem = 1
		}

		$('#'+menuLabels[selectedItem]).show();
		$('#'+menuItems[selectedItem]).show();
	});
});
/**
 * storeOldInputValue
 * @param {type} eventObj
 * @returns {undefined}
 */
function storeOldInputValue(eventObj){   
	var activeElem = false;

	if(eventObj && eventObj.currentTarget) {
		activeElem = eventObj.currentTarget;        
	}

	if(!activeElem) {
		return;
	}

	activeElem.oldValue = $(activeElem).val();
}
/**
 * proportionalResize
 * @param {type} eventObj
 * @returns {undefined}
 */
function proportionalResize(eventObj) {
	var obj = eventObj.currentTarget;

	if(obj.oldValue && obj.oldValue == $(obj).val()) {
		return;
	}

	var form = obj.form;
	var propInputArr = $('input[name=keepProp]', form);

	if(propInputArr.length == 0) {
		return;
	}

	var propInput = propInputArr[0];
	var checked = $(propInput).attr('checked');

	if(!checked) {
		return;
	}

	var widthInput = $('input[name="width"]', form)[0];
	var heightInput = $('input[name="height"]', form)[0];

	var inputChanged = widthInput == obj ? widthInput : heightInput;
	var inputToChange = widthInput == obj ? heightInput : widthInput;

	var newVal = 0;
	if(inputChanged.oldValue && $(inputToChange).val()) { 
		if($(inputChanged).val() == 0) {
			$(inputChanged).val(inputChanged.oldValue);
		} else {
			newVal = $(inputChanged).val() / inputChanged.oldValue * $(inputToChange).val();
			newVal = Math.floor(newVal);
			$(inputToChange).val(newVal);
			inputToChange.oldValue = newVal;
		}
	}
}
/**
 * saveActualSvgToPNG
 * @param {type} changeID
 * @param {type} post
 * @returns {undefined}
 */
function saveActualSvgToPNG(changeID, post) {
	clearCorners();
	$.ajax({
		type: 'POST',
		url: serverName + '?page=presentations&cl=saveSvgFile',
		data: {
			sheet: changeID
		},
		success: function(response) {
			if(response.success === true) {
				var curTime = new Date().getTime();
				$("#thumb_" + changeID).attr("data", "customers/edukator/web/presentation/data/sheets/sheet_" + project + "_" + changeID + ".svg?timestamp=" + curTime);
			} else {
				customAlert("error");
			}
		}
	});
}

var movieItems;
var copyAtThisSheet;
var copyItems = new Array();
var sheetItems = new Array();
var selectedItems = new Array();
var iloscObiektow = 0;
//var iCopy = 0;

/**
 * changeWorkContent
 * @param {type} sheetId
 * @param {type} regenImg
 * @returns {undefined}
 */
function changeWorkContent(sheetId, regenImg) {
	iloscObiektow = 0;
	objectLayers = '';
	sheetLayers = new Array();

	var layerlist = $('#layerList');
	layerlist.html('');

	$.ajax({
		type: 'GET',
		url: serverName + '?page=presentations&cl=getSvg',
		data: { sid: sheetId },
		success: function(response) {
			$('#kartka_' + lastID).css('border-color', '');
			lastID = sheetId;

			var container = document.getElementById('objects');
			container.innerHTML = '';

			$.each(response.objects, function() {
				var element = document.createElement('div');
				element.className = 'pObject';
				element.style.left = this.xpos + 'px';
				element.style.top = this.ypos + 'px';
				element.innerHTML = this.content;
				container.appendChild(element);
				bindElement(element, false);
			});

			$('#workplace #svg').html(response.html);

			var svg = document.getElementsByTagName('svg')[0];
			if((svg instanceof SVGSVGElement) && (svg.getAttribute('width') === null)) {
				var wp = workplaceParams();
				svg.setAttribute('width', wp.center.width);
				svg.setAttribute('height', wp.center.height);
				svg.setAttribute('viewBox', '0 0 ' + wp.center.width + ' ' + wp.center.height);
				saveSvg();
			}

			bindBackground();

			$.each($('#workplace').find('#workarea g'), function() {
				var groupNodes = this.childNodes;

				for(var i = 0; i < groupNodes.length; ++i) {
					var element = groupNodes[i];
					bindElement(element, false);
				}
			});

			var layerlist = $('#layerList');
			layerlist.html('');

			if(sheetLayers.length > 0) {
				var sheetLayersCopy = sheetLayers.slice();
				sheetLayersCopy.reverse();

				for(var i = 0; i < sheetLayersCopy.length; ++i) {
					objectLayers = objectLayers.concat(sheetLayersCopy[i]);
				}

				layerlist.html(objectLayers);
			}

			// Zeby sie chowaly opcje jak obiekt nie jest zaznaczony
			// showElementAndHideRest();

			waitingOverlay('off');
		}
	});

	return true;

	var workplace = $('#workplace');
	var svg = workplace.html();
	// workplace.html('');

	if(!sheetId) {
		alert('Ta prezentacja nie ma utworzonego zadnego arkusza.');
		return;
	}

	iloscObiektow = 0;
	activeObj = '';
	activeTool = "select";
	movieItems = new Array();

	if((lastID >= 0) && (lastID != sheetId)) {
		$('#kartka_' + lastID).css('border-color', 'white');
	}

	waitingOverlay('on');

	if(regenImg !== false) {
		saveActualSvgToPNG(lastID, svg);
	}

	$.ajax({
		type: 'GET',
		url: serverName + '?page=presentations&cl=getSheetData',
		data: {
			id: project,
			sid: sheetId,
			code: timecode
		},
        success: function(response) {
			var layerlist = $('#layerList');
			layerlist.html('');

			$('#noteGenerator').hide();
			workplace.css('background-image', 'none');

			var layersEdit = '';
			var layersTextEdit = '';
			var layersEditMovie = '';
			var newhtml = '';
			var iSheetItem = 0;

			if(response.success === false) {
				// newhtml = '<script type="text/javascript">var paper = Raphael("workplace", workplaceWidth, workplaceHeight);</script>';
				// newhtml += '<div id="movies" style="position: absolute; z-index: 105; top: 0; width: 1px;"></div>';
				// newhtml += '<div id="textplace" style="top: 0;"></div>';
				// workplace.html(newhtml);
				// saveSvg();
				waitingOverlay('off');
			} else {
				// newhtml += response.svg;
				// newhtml += '<script type="text/javascript">\n';
				// newhtml += '<script type="text/javascript">\nvar paper = Raphael("workplace", workplaceWidth, workplaceHeight);\n';
				// newhtml += "paper.importSVG(document.getElementById('" + response.svgId + "'));";
				// newhtml += 'paper.importSVG("http://localhost/edu2/trunk/src/system/application/modules/presentation/data/sheets/view_5301_33578.svg");';
				/*
				var movies = '';
				var topPos = 0;
				var i = 1;

				iloscObiektow = 0;

				$.each(response.elem, function() {
					if(this.type == 'rect') {
						newhtml += 'makeRect("'+this.name+'", '+this.X+', '+this.Y+', '+this.width+', '+this.height+', '+this.radius+', "'+this.bgcolor+'", "'+this.border+'", '+this.opacity+', "'+this.name+'", false, "'+this.title+'");\n';
						// this.title = this.title;
						iloscObiektow++;
					} else if(this.type == 'path') {
						if(this.params == undefined) {
							this.params = new Object();
							this.params.stroke = "#000000";
							this.params.strokedasharray = "-";
							this.params.strokewidth = "2";
						}
						newhtml += 'drawPath("'+this.name+'", "'+this.path+'", "'+this.title+'", true, "'+this.params.stroke+'", "'+this.params.strokedasharray+'", '+this.params.strokewidth+');\n';
						// this.title = this.title;
						iloscObiektow++;
					} else if(this.type == 'circle') {
						newhtml += 'makeCircle("'+this.name+'", '+this.X+', '+this.Y+', '+this.radius+', "'+this.bgcolor+'", "'+this.border+'", '+this.opacity+', "'+this.name+'", false, "'+this.title+'");\n';
						// this.title = this.title;
						iloscObiektow++;
					} else if(this.type == 'ellipse') {
						newhtml += 'makeEllipse("'+this.name+'", '+this.X+', '+this.Y+', '+this.width+', '+this.height+', "'+this.bgcolor+'", "'+this.border+'", '+this.opacity+', "'+this.name+'", false, "'+this.title+'");\n';
						// this.title = this.title;
						iloscObiektow++;
					} else if(this.type == 'img') {
						newhtml += 'makeImg("'+this.name+'", "'+this.val+'", '+this.X+', '+this.Y+', '+this.width+', '+this.height+', '+this.opacity+', "'+this.name+'", false, "'+this.title+'");\n';
						this.bgcolor = "#1676B1";
						iloscObiektow++;
					}

					if(this.type != 'movie') {
						strname = this.name;
						if(strname != undefined) {
							layersEdit = "<li id='layer["+strname+"-"+i+"]' class='layers' style='background-color:"+this.bgcolor+";border:solid 1px "+this.border+"'>"+this.title+"</li>"+layersEdit;
							i++;
						}
					}
				});

				$.each(response.elem, function() {
					if(this.type == 'movie') {
						iloscObiektow++;

						if(this.filetype == 'file') {
							movieItems[iSheetItem] = this.id;
							newhtml += 'makeImg("movie_img_'+this.id+'_'+this.link+'", "customers/edukator/web/movie/data/png/'+this.link+'.png", '+this.X+', '+this.Y+', '+this.width+', '+this.height+', 1, "movie_img_'+this.id+'_'+this.link+'", false, "'+this.title+'");\n';
							movies += '<div id="movie_'+this.id+'" style="width:'+this.width+';position: relative; left:'+this.X+'px; top:'+(this.Y-topPos+3)+'px;">';
							movies += '</div>\n';
							iSheetItem++;
							if(this.title == "" || this.title == undefined) this.title = "Film";
						} else if(this.filetype == 'chemical3dModel') {
							movieItems[iSheetItem] = this.id;
							newhtml += 'makeImg("'+this.name+'", "customers/edukator/web/movie/data/png/'+this.link+'.png", '+this.X+', '+this.Y+', '+this.width+', '+this.height+', 1, "'+this.name+'", false, "'+this.title+'");\n';
							movies += '<div id="movie_'+this.id+'" style="width:'+this.width+';position: relative; left:'+this.X+'px; top:'+(this.Y-topPos+3)+'px;">';
							movies += '</div>\n';
							iSheetItem++;
							if(this.title == "" || this.title == undefined) this.title = "Wzór chemiczny 3D";
						} else {
							newhtml += 'makeImg("movie_yt_'+this.id+'_'+this.link+'", "http://i1.ytimg.com/vi/'+this.link+'/hqdefault.jpg", '+this.X+', '+this.Y+', '+this.width+', '+this.height+', 1, "movie_yt_'+this.id+'_'+this.link+'", false, "'+this.title+'");\n';
							movies += '<div id="movie_'+this.id+'" style="width:'+this.width+';position: relative; left:'+this.X+'px; top:'+(this.Y-topPos+3)+'px;">';
							movies += '</div>\n';
							if(this.title == "" || this.title == undefined) this.title = "Film YouTube";
						}

						topPos = parseInt(topPos) + parseInt(this.height);
						this.bgcolor = 'black';
						this.border = 'black';

						// debugger;
						strname = this.name;
						if(strname != undefined) {
							layersEditMovie = "<li id='layer["+strname+"-"+i+"]' class='layers ui-state-disabled' style='background-color:#ddd;border:solid 1px "+this.border+"'>"+this.title+"</li>"+layersEditMovie;
							i++;
						}
					}
				});
				*/
				// newhtml += '</script>\n';
				// newhtml += '<div id="movies" style="position: absolute; top: 0; width: 1px; z-index: 105">' + movies + '</div>';
				// newhtml += '<div id="textplace" style="top: 0;"></div>';

				// workplace.html(newhtml);

				saveSvg();
				waitingOverlay('off');
			}
			/*
			if(response.img != '') {
				workplace.css('background-image','url(http://localhost/edu2/trunk/src/system/application/modules/presentation/data/images/backgrounds/' + response.img + ')');
				workplace.css('background-position', 'center center');
			}
			
			var j = 0;
			if(response.text) {
				$.each(response.text, function() {
					iloscObiektow++;
					addText(this);
					j++;
					if(this.title.length>0) {
						tytul = this.title;
					} else {
						tytul = 'Pole tekstowe';
					}
					layersTextEdit = "<li id='layer[text_"+j+"-"+i+"]' class='layers ui-state-disabled' style='border:solid 1px white'>"+tytul+"</li>"+layersTextEdit;
					i++;
				});
			}
			*/
			layerlist.html(layersTextEdit + layersEditMovie + layersEdit);
		}
	});

	lastID = sheetId;
};

/**
 * showElementAndHideRest
 * @param {type} show
 * @returns {undefined}
 */
function showElementAndHideRest(show) {
	if(activeTool != 'multicurves' && activeTool != 'multiline' && activeTool != 'curve') {
		var arrayElem = new Array(
			'#noteGenerator','#rectGenerator','#circleGenerator',
			'#ellipseGenerator','#imageGenerator','#textGenerator',
			'#rectEditor','#circleEditor','#ellipseEditor',
			'#textEditor','#imageEditor','#image2Editor',
			'#layersEditor', '#math', "#pathEditor", "#pathMod",
			"#emptyBox", "#foreignEditor");

		var limit = arrayElem.length;
		for(i = 0; i <= limit; i++) {
			if(show == arrayElem[i]) {
//				$(arrayElem[i]).show('slow');
//				$('#timelineEditor').show('slow');
				$(arrayElem[i]).show();
				$('#timelineEditor').show();
			} else {
//				$(arrayElem[i]).hide('fast');
//				$('#timelineEditor').show('fast');
				$(arrayElem[i]).hide();
				$('#timelineEditor').show();
			}
		}
	}
}
/*
function submitform() {
    $('#uploadForm').ajaxForm({
        target:     '#divToUpdate', 
        url:        'index.php/presentation/fileUploadForm', 
        success:    function() { 
            customAlert('Thanks for your comment!'); 
        }                 
    });
}
*/

/**
 * clearCorners
 * @returns {undefined}
 */
function clearCorners() {
	// Powraca reset bo przesuwaja sie obiekty w 'Wybierz pozycje' 
	// nawet jak zaden obiekt nie jest zaznaczony.
	activeObj = '';
	$('#activeElement').val('');
	selectedItems = new Array();

	$('#corners div').remove();

	// Zeby sie chowaly opcje jak obiekt nie jest zaznaczony
	// Umieszczenie tego tutaj strasznie muli edukatora
	// showElementAndHideRest();
}

/**
 * hideCorners
 * @returns {undefined}
 */
function hideCorners() {
	$('#corners div').remove();
}

/**
 * clearSelectedTexts
 * @returns {undefined}
 */
function clearSelectedTexts() {
	$(".textBoxItems").css("border", "dotted 1px black");
}
/**
 * makeHandlerCircle
 * @param {type} x
 * @param {type} y
 * @param {type} name
 * @param {type} radius
 * @param {type} fillColour
 * @returns {unresolved}
 */
function makeHandlerCircle(X, Y, name, radius, fillColour) {
	if(typeof(radius) == 'undefined') {
		radius = 3;
	}
	if(typeof(fillColour) == 'undefined') {
		fillColour = '#fff';
	}

	makeCircle(null, X, Y, radius, fillColour, '#000', 1, name, null, null);
	/*
	var handlerCircle = paper.circle(x, y, radius, name);
	handlerCircle.attr({
		fill: fillColour,
		stroke: '#000',
		opacity: 1
	});
	*/
	// return handlerCircle;
}
/**
 * addCorners
 * @param {type} node
 * @returns {undefined}
 */
function addCorners(node) {
	$('select.beforePrevevent').focus();

	activeObj = node.getAttribute('id');
	$('#activeElement').val(activeObj);

	if(activeTool != 'multicurves' && activeTool != 'multiline' && activeTool != 'curve') {
		var x1, x2, x3, y1, y2, y3;
		var line_ct, line_cb, line_cl, line_cr, line_1, line_2;
        var xAttr = false, yAttr = false, widthAttr = false, heightAttr = false;

		if(node instanceof SVGCircleElement) {
			xAttr = parseInt(node.getAttribute('cx'));
			yAttr = parseInt(node.getAttribute('cy'));
			widthAttr = parseInt(node.getAttribute('r'));
			heightAttr = parseInt(node.getAttribute('r'));

			x1 = (xAttr - widthAttr) - 5;
			x2 = (xAttr + widthAttr) - 5;

			y1 = (yAttr - widthAttr) - 5;
			y2 = (yAttr + widthAttr) - 5;
		} else if(node instanceof SVGImageElement) {
			xAttr = parseInt(node.getAttribute('x'));
			yAttr = parseInt(node.getAttribute('y'));
			widthAttr = parseInt(node.getAttribute('width'));
			heightAttr = parseInt(node.getAttribute('height'));

			x1 = xAttr - 5;
			x2 = (xAttr + widthAttr) - 5;

			y1 = yAttr - 5;
			y2 = (yAttr + heightAttr) - 5;
		} else if(node instanceof SVGEllipseElement) {
			xAttr = parseInt(node.getAttribute('cx'));
			yAttr = parseInt(node.getAttribute('cy'));
			widthAttr = parseInt(node.getAttribute('rx'));
			heightAttr = parseInt(node.getAttribute('ry'));

			x1 = (xAttr - widthAttr) - 5;
			x2 = (xAttr + widthAttr) - 5;
			x3 = xAttr - 5;

			y1 = (yAttr - heightAttr) - 5;
			y2 = (yAttr + heightAttr) - 5;
			y3 = yAttr - 5;

			makeCorner(x3, y1, 'line_ct');
			makeCorner(x3, y2, 'line_cb');
			makeCorner(x1, y3, 'line_cl');
			makeCorner(x2, y3, 'line_cr');
		} else if(node instanceof SVGPathElement) {
			var elementPath = node.getAttribute('d');

			elementPath = elementPath.replace('M','');
			elementPath = elementPath.replace(/ /g,',');
			elementPath = elementPath.replace(/C/g,',');
			elementPath = elementPath.replace(/S/g,',');
			elementPath = elementPath.replace(/L/g,',');

			var params = elementPath.split(',');
			var pointsArr = new Array();
			var i = 0;
			var j = 0;

			$.each(params, function() {
				if(this != '') {
					if(i%2 == 0) {
						pointsArr[j] = new Array();
					}
					pointsArr[j][i%2] = this;
					i++;
					if(i%2 == 0) {
						j++;
					}
				}
			});

			var nodeId = node.getAttribute('id');

			i = 0;
			if(nodeId.substr(0,10) != 'path_curve') {
				$.each(pointsArr, function() {
					var name = 'point_' + i;
					makeCorner(this[0], this[1], name);
					i++;
				})
			} else {
				var ile = pointsArr.length;
				makeCorner(pointsArr[0][0], pointsArr[0][1], 'point_1');
				makeCorner(pointsArr[ile-1][0], pointsArr[ile-1][1], 'point_2');
			}

			return;
		} else if(node instanceof HTMLDivElement) {
			var element = node.firstElementChild;

			activeObj = element.id;
			$('#activeElement').val(activeObj);

			xAttr = parseInt($(node).position().left);
			yAttr = parseInt($(node).position().top);
			widthAttr = parseInt($(element).outerWidth(true));
			heightAttr = parseInt($(element).outerHeight(true));

			x1 = xAttr - 5;
			x2 = (xAttr + widthAttr) - 5;
			x3 = (xAttr + (widthAttr / 2)) - 5;

			y1 = yAttr - 5;
			y2 = (yAttr + heightAttr) - 5;
			y3 = (yAttr + (heightAttr / 2)) - 5;

			makeCorner(x3, y1, 'line_ct');
			makeCorner(x3, y2, 'line_cb');
			makeCorner(x1, y3, 'line_cl');
			makeCorner(x2, y3, 'line_cr');
		} else {
			xAttr = parseInt(node.getAttribute('x'));
			yAttr = parseInt(node.getAttribute('y'));
			widthAttr = parseInt(node.getAttribute('width'));
			heightAttr = parseInt(node.getAttribute('height'));

			x1 = xAttr - 5;
			x2 = (xAttr + widthAttr) - 5;
			x3 = (xAttr + (widthAttr / 2)) - 5;

			y1 = yAttr - 5;
			y2 = (yAttr + heightAttr) - 5;
			y3 = (yAttr + (heightAttr / 2)) - 5;

			makeCorner(x3, y1, 'line_ct');
			makeCorner(x3, y2, 'line_cb');
			makeCorner(x1, y3, 'line_cl');
			makeCorner(x2, y3, 'line_cr');
		}

		makeCorner(x1, y1, 'lt_corner');
		makeCorner(x1, y2, 'lb_corner');
		makeCorner(x2, y1, 'rt_corner');
		makeCorner(x2, y2, 'rb_corner');
	}
}

/**
 * waitingOverlay
 * @param {type} set
 * @returns {undefined}
 */
function waitingOverlay(set) {
	if(set == 'on') {
		$('#waiting').css('display', 'block');
		$('#imgwaiting').css('display', 'block').center();
	} else {
		$('#waiting').css('display', 'none');
		$('#imgwaiting').css('display', 'none');
	}
}

/*
function delChemMovie(id) {
    waitingOverlay('on');
    $.ajax({
        url: "index.php/presentation/delChemMovie",
        type: "POST",
        data: {
            chmovie:id
        },
        success: function(newData) {
//            var newData = $.parseJSON(data);
            if (newData.success != true) {
                customAlert("Błąd - odśwież stronę i spróbuj ponownie");
                waitingOverlay('off');
            } else {
                $("#movie_"+id).remove();
                waitingOverlay('off');
            }
        },
        error: function(){
            customAlert("Błąd zapisu - odśwież stronę i spróbuj ponownie");
        }
    });            
}


//function addmovietosheet(info) {
//    var movies = '';
//    if (info.filetype == 'file') {
//        movies += '<div id="movie_'+info.id+'" style="width:'+info.width+';position: relative; left:'+info.x+'px; top:'+(info.y-topPos)+'px;">';
//        movies += '<a href="http://media.edukator.pl/customers/edukator/web/movie/data/upload/'+info.link+'" style="display:block;width:425px;height:300px;" id="player"></a>';
//        movies += '<script language="JavaScript">flowplayer("player", {src:"customers/edukator/global/data/flowplayer/flowplayer-3.2.7.swf", wmode: "transparent"});</script>';
//        movies += '<div class="closeMovie" style="position: relative; left:'+(info.width-15)+'px; top:-'+(info.height+15)+'px;" onclick="delMovie('+info.id+');"></div>';
//        movies += '</div>\n';
//    } else {
//        movies += '<div id="movie_'+info.id+'" style="width:'+info.width+';position: relative; left:'+info.x+'px; top:'+(info.y-topPos)+'px;">';
//        movies += '<iframe width="'+info.width+'" height="'+info.height+'" src="http://www.youtube.com/embed/'+info.link+'?rel=0&amp;wmode=Opaque" frameborder="0" allowfullscreen></iframe>';
//        movies += '<div class="closeMovie" style="position: relative; left:'+(info.width-15)+'px; top:-'+(info.height+15)+'px;" onclick="delMovie('+info.id+');"></div>';
//        movies += '</div>\n';
//    }
//    $("#movies").append(movies);
//}
*/
/**
 * closeChemicalObject
 * @returns {undefined}
 */
function closeChemicalObject() {
	waitingOverlay('on');
	var tmpname = new Date().getTime();

	$.ajax({
		type: 'POST',
		url: '?page=presentations&cl=getLastChemObject',
		data: {
			type: 0,
			cid: document.getElementById('cid').value,
			newCid: document.getElementById('newCid').value,
			title: document.getElementById('name').value,
			activeId: activeObj
		},
		success: function(response) {
			if(response.success == true) {
				var fp = response.filepath.replace('\\','');
				var img = 'chem_' + tmpname + '_' + parseInt(Math.random()*100);

				if(response.activeId != '') {
					// makeImg(response.activeId, 'customers/edukator/web/movie/data/png/zoom/'+response.file+'.png', response.x, response.y, response.w, response.h, 1, response.activeId,true,response.title);
					makeImg(response.activeId, fp, response.x, response.y, response.w, response.h, 1, response.activeId, true, response.title);
				} else {
					// makeImg("chem_"+tmpname+"_"+parseInt(Math.random()*100), 'customers/edukator/web/movie/data/png/zoom/'+response.file+'.png', 0, 0, 200, 200, 1, "chem_"+response.id+"_"+tmpname+"_"+parseInt(Math.random()*100),true,response.title);
					makeImg(img, fp, 0, 0, 200, 200, 1, 'chem_' + response.id + '_' + tmpname + '_' + parseInt(Math.random()*100), true, response.title);
				}	
			}

			waitingOverlay('off');
			$.fancybox.close();
		}
	});
}
/**
 * closeChemicalVideoObject
 * @returns {undefined}
 */
function closeChemicalVideoObject() {
	waitingOverlay('on');

	$.ajax({
		type: 'POST',
		url: '?page=presentations&cl=insertChemicalObject',
		data: { cid: document.getElementById('cid').value },
		success: function(response) {
			if(response.success == true) {
				var tmpname = new Date().getTime();
				var fp = response.filepath.replace('\\','');

				var node = makeImg(
					'movie_chem_' + tmpname + '_' + response.movie,
					fp,
					0,
					0,
					response.width,
					response.height,
					1,
					'movie_chem_' + tmpname + '_' + response.movie,
					true,
					response.movie,
					true
				);

				node.setAttribute('data-movie', tmpname + '_' + response.movie);
				node.setAttribute('ichem', 'true');
			}

			waitingOverlay('off');
			$.fancybox.close();
		}
	});
	/*
	waitingOverlay('on');

	$.ajax({
		type: 'POST',
		url: '?page=presentations&cl=getLastChemObject',
		data: {
			type: 1,
			cid: document.getElementById('cid').value,
			newCid: document.getElementById('newCid').value,
			title: document.getElementById('name').value,
			activeId: activeObj
		},
		success: function(response) {
			if(response.success == true) {
				var fp = response.filepath.replace('\\','');

				var node = makeImg(
					'movie_chem_' + response.id + '_' + response.movie,
					fp,
					0,
					0,
					320,
					240,
					1,
					'movie_chem_' + response.id + '_' + response.movie,
					true,
					response.title,
					true
				);

				node.setAttribute('data-movie', response.id + '_' + response.movie);
				// $("#movies").append('<div id="movie_'+chem.id+'" style="width:'+chem.width+';position: relative; left:0px; top:0px;"></div>');
				// makeImg('movie_chem_'+response.id+'_'+response.movie, 'customers/edukator/web/movie/data/png/'+response.movie+'.png', 0, 0, 320, 240, 1, 'movie_chem_'+response.id+'_'+response.movie, true, response.title);
			}
			waitingOverlay('off');
			$.fancybox.close();
		}
	});
	*/
}

/**
 * saveMath
 * @returns {undefined}
 */
function saveMath() {
	var obj = activeObj;
	clearCorners();

	var svg = $('#workplace #svg').html();

	$.ajax({
		type: 'POST',
		url: serverName + '?page=presentations&cl=saveSvg',
		data: {
			svg: svg
		},
		success: function(response) {
			if(response.success === false) {
				customAlert(response.message);
				console.log(response.console);
				return;
			}

			activeObj = obj;

			changeWorkContent(lastID);

			reloadCurrentSlideThumb();
			waitingOverlay('off');
		}
	});
}

/**
 * saveSvg
 * @param {type} reload
 * @param {type} node
 * @returns {undefined}
 */
function saveSvg(reload, node) {
	var obj = activeObj;
	/*
	$.each($('.mjformula'), function() {
		var foId = $(this).parent().parent().attr('id');
		var content = $(this).val();
		content = content.replace("math-tex-source", "math-tex");
		updateMath(foId, content, false);
	});
	*/

	var svg = $('#workplace #svg').html();

	$.ajax({
		type: 'POST',
		url: serverName + '?page=presentations&cl=saveSvg',
		data: { svg: svg },
		success: function(response) {
			if(response.success === false) {
				customAlert(response.message);
				console.log(response.console);
				return;
			}

			if(reload) {
				changeWorkContent(lastID);
			}

			reloadCurrentSlideThumb();

			if(node) {
				addCorners(node);
			} else {
				activeObj = obj;
			}

			waitingOverlay('off');
		}
	});
}

/**
 * saveDiv
 * @param {type} node
 * @returns {undefined}
 */
function saveDiv(node) {
	var id = node.firstElementChild.id;
	var x = $(node).position().left;
	var y = $(node).position().top;
	var content = $(node).html();

	$.ajax({
		type: 'POST',
		url: serverName + '?page=presentations&cl=objectUpdateSheet',
		data: { id: id, x: x, y: y, content: content },
		success: function(response) {
			if(response.success == true) {
				// console.log('zapisane');
			}
		}
	});
}

/**
 * updateTimelineObject
 * @param {type} oid
 * @returns {undefined}
 */
function updateTimelineObject(oid) {
	if($('#timelineEditorForm [name=showAllTime]').is(':checked')) {
		var showalltime = 1;
	} else {
		var showalltime = 0;
	}

	var timeBegin = parseInt($('#timelineEditorForm [name=timeBegin]').val());
	var timeEnd = parseInt($('#timelineEditorForm [name=timeEnd]').val());

	if(timeBegin > timeEnd) {
		timeBegin = timeEnd;
		$('#timelineEditorForm [name=timeBegin]').val(timeBegin);
	}

	$.ajax({
		type: 'POST',
		url: serverName + '?page=presentations&cl=uptlObject',
		data: {
			oid: oid,
			sat: showalltime,
			tb: timeBegin,
			te: timeEnd
		},
		success: function(response) {
			if(response.success === false) {
				customAlert(response.message);
				console.log(response.console);
				return;
			}
		}
	});
}

/*
function setAsActive(element) {
    var arrayElem = new Array("draw","rectCreator", "circleCreator", "ellipseCreator", "ellipseCreator", "layers", "copy", "paste", "select");
        
    var limit = arrayElem.length;
    for (i=0;i<=limit;i++) {
        if (element == arrayElem[i]) {
            $("#"+element).addClass(element);
        } else {
            $("#"+arrayElem[i]).removeClass(arrayElem[i]);
        }
    }

}

function reloadStylesheets(newCss) {
    var queryString = '?reload=' + new Date().getTime();
    $('link[rel="stylesheet"]').each(function () {
        var userCss = this.href.indexOf('user_css');
        if(-1!=userCss) {
            var tmpCss = this.href;
            if(typeof(newCss) != 'undefined') tmpCss = newCss;
            this.href = tmpCss.replace(/\?.*|$/, queryString);
        }
    });
}


function showSuggestLibrary() {
    $.fancybox({
        'width' : 680,
        'height' : 540,
        'padding':0,
        'href': 'index.php/presentation/suggestLibrary'
    })            
}

*/
/**
 * reloadSlideMenu
 * @returns {undefined}
 */
function reloadSlideMenu() {
	$.ajax({
		type: 'GET',
		url: serverName + '?page=presentations&cl=getSheetListHtml',
		data: {
			id: project
		},
		success: function(response) {
			$('#slidmenu').html(response);
			$('#sheetList svg').removeAttr('id').css('width', 150).css('height', 116);
		}
	});
}
/**
 * reloadCurrentSlideThumb
 * @param {type} slideId
 * @returns {undefined}
 */
function reloadCurrentSlideThumb(slideId) {
	slideId = typeof(slideId) != 'undefined' ? slideId : lastID;

	$.ajax({
		type: 'GET',
		url: serverName + '?page=presentations&cl=getSvgThumbnail',
		data: {
			sid: slideId
		},
		success: function(response) {
			$('#kartka_' + slideId + ' .objC').html(response.html);
			$('#sheetList svg').removeAttr('id').css('width', 150).css('height', 116);
		}
	});

	// $('#kartka_' + slideId + ' .objC').load(serverName + '?page=presentations&cl=getSheetListHtml&pid=' + project + ' #kartka_' + slideId + ' .objC > *');
	/*
	slideId = typeof(slideId) != 'undefined' ? slideId : lastID;
	$('#kartka_' + slideId + ' .objC').load('index.php/presentation/getSheetListHtml #kartka_' + slideId + ' .objC > *');
	*/
}
/**
 * prepareSlideThumbnail
 * @param {type} slideId
 * @param {type} slideNo
 * @returns {String}
 */
function prepareSlideThumbnail(slideId, slideNo, sheetPath) {
	var no = workHeight - 24;
	var plus = workHeight - 47;
	var wr = workWidth / 150 < 1 ? 150 / workWidth : workWidth / 150;
	var miniHeight = parseInt(workHeight / wr);

	var result = "<li id='kartka_"+slideId+"' class='kartka' style='height: "+miniHeight+"px;'  >\n\
                    <div style='position: relative; z-index: 99; width: 100%; height: 100%;  left: 0;'>\n\
                    <object height='"+miniHeight+"' alt='sheet"+slideId+"' data='" + sheetPath + "/asd/view_"+project+"_"+slideId+".svg' id='sheet"+slideId+"'></object>\n\
                    </div>\n\
                    <div style='position: relative; z-index: 100; width: 100%; height: 100%; top:-"+miniHeight+"px; left: 0;' id='kartka_z_"+slideId+"'>\n\
                    <div id='positionNo' style='top: "+no+"px;'>"+slideNo+"</div>\n\
                    <div onclick='chooseAnimation("+slideId+")' id='animSlide' style='top: "+plus+"px;'></div>\n\
                    </div>\n\
                </li>";

	result += "<script type='text/javascript'>\n\
                    $('#kartka_z_"+slideId+"').dblclick( function () { \n\
                        $('#kartka_"+slideId+"').css('border-color','red');\n\
                        changeWorkContent("+slideId+");\n\
                    });\n\
                    $('#kartka_z_"+slideId+"').click( function () {\n\
                        if ("+tmp_sheet+" == "+lastID+") $('#kartka_"+tmp_sheet+"').css('border-color','red');\n\
                        else if ("+tmp_sheet+" > 0) $('#kartka_"+tmp_sheet+"').css('border-color','white');\n\
                        $('#kartka_"+slideId+"').css('border-color','blue');\n\
                        tmp_sheet = "+slideId+";\n\
                    });\n\
                </script>";

	return result;
}

/**
 * slideMoreDown
 * @returns {undefined}
 */
function slideMoreDown() {
	waitingOverlay('on');

	var svg = document.getElementsByTagName('svg')[0];
	if(svg instanceof SVGSVGElement) {
		var height = parseInt(svg.getAttribute('height')) + 100;
		var width = parseInt(svg.getAttribute('width'));

		svg.setAttribute('height', height);
		var viewBox = '0 0 ' + width + ' ' + height;
		svg.setAttribute('viewBox', viewBox);
		saveSvg();
	}
}

/**
 * slideLessDown
 * @returns {undefined}
 */
function slideLessDown() {
	waitingOverlay('on');

	var svg = document.getElementsByTagName('svg')[0];
	if(svg instanceof SVGSVGElement) {
		var height = parseInt(svg.getAttribute('height')) - 100;
		var width = parseInt(svg.getAttribute('width'));

		svg.setAttribute('height', height);
		var viewBox = '0 0 ' + width + ' ' + height;
		svg.setAttribute('viewBox', viewBox);
		saveSvg();
	}
}

/**
 * slideMoreRight
 * @returns {undefined}
 */
function slideMoreRight() {
	waitingOverlay('on');

	var svg = document.getElementsByTagName('svg')[0];
	if(svg instanceof SVGSVGElement) {
		var height = parseInt(svg.getAttribute('height'));
		var width = parseInt(svg.getAttribute('width')) + 50;

		svg.setAttribute('width', width);
		var viewBox = '0 0 ' + width + ' ' + height;
		svg.setAttribute('viewBox', viewBox);
		saveSvg();
	}
}

/**
 * slideLessRight
 * @returns {undefined}
 */
function slideLessRight() {
	waitingOverlay('on');

	var svg = document.getElementsByTagName('svg')[0];
	if(svg instanceof SVGSVGElement) {
		var height = parseInt(svg.getAttribute('height'));
		var width = parseInt(svg.getAttribute('width')) - 50;

		svg.setAttribute('width', width);
		var viewBox = '0 0 ' + width + ' ' + height;
		svg.setAttribute('viewBox', viewBox);
		saveSvg();
	}
}

/**
 * slidePlus
 * @returns {undefined}
 */
function slidePlus() {
	waitingOverlay('on');

	$.ajax({
		type: 'POST',
		url: serverName + '?page=presentations&cl=addSheet',
		data: {
			projectid: project, 
			code: timecode
		},
		success: function(response) {
			if(response.success === false) {
				customAlert(response.error);
			} else {
				/*
				var htmlinsert = prepareSlideThumbnail(
					response.returnid,
					response.sheetcounter,
					response.sheetPath
				);
				$("#sheetList").append(htmlinsert);
				$(".kartka").css("background-color", projectBG);
				*/
				reloadSlideMenu();
			}

			waitingOverlay('off');
		}
	});
}

/**
 * slideCopy
 * @returns {undefined}
 */
function slideCopy(pos) {
	var position = typeof pos !== 'undefined' ? pos : 'last';
	waitingOverlay('on');
	$.ajax({
		type: 'POST',
		url: serverName + '?page=presentations&cl=copySheet',
		data: { pos: position },
		success: function(response) {
			if(response.success === true) {
				reloadSlideMenu();
			} else {
				customAlert('Błąd');
			}
			waitingOverlay('off');
		},
		error: function(response) {
			waitingOverlay('off');
		}
	});
}

/**
 * slideMinus
 * @returns {undefined}
 */
function slideMinus() {
	if(tmp_sheet == lastID) {
		customAlert("Nie można usunąć aktywnego slajdu");
	} else if(tmp_sheet == 0) {
		customAlert("Nie zaznaczyłeś slajdu do usunięcia");
	} else {
		customConfirm("Usunąć slajd?", function() {
			waitingOverlay('on');
			$.ajax({
				type: 'POST',
				url: serverName + '?page=presentations&cl=delSheet',
				data: {
					id: project, 
					sid: tmp_sheet, 
					code: timecode
				},
				success: function(response) {
					if(response.success === true) {
						$("#kartka_" + tmp_sheet).remove();
						tmp_sheet = lastID;
						customAlert("Usunięte");
						reloadSlideMenu();                        
					} else {
						customAlert(response.error);
					}
					waitingOverlay('off');
				}
			});
		});
	}
}
/**
 * moveMoviesOnTop
 * @returns {undefined}
 */
function moveMoviesOnTop() {
	$.each(sheetItems, function() {
		if(this.type == 'movie') {
			$("#"+this.name).remove();
			if(this.filetype == 'file') {
				makeImg("movie_img_"+this.id+"_"+this.link, "customers/edukator/web/movie/data/png/"+this.link+".png", this.X, this.Y, this.width, this.height, 1, "movie_img_"+this.id+"_"+this.link, false, this.title);
			} else if(this.filetype == 'chemical3dModel') {
				makeImg(this.name, "customers/edukator/web/movie/data/png/"+this.link+".png", this.X, this.Y, this.width, this.height, 1, this.name, false, this.title);
			} else {
				makeImg("movie_yt_"+this.id+"_"+this.link, "http://i1.ytimg.com/vi/"+this.link+"/hqdefault.jpg", this.X, this.Y, this.width, this.height, 1, "movie_yt_"+this.id+"_"+this.link, false, this.title);
			}
		}
	});
}
/**
 * addLayerAndSort
 * @param {type} layer
 * @returns {undefined}
 */
/*
function addLayerAndSort(layer) {
	var layersExist = $("#layerList").children();
	var newLayerSort = "";
	var inner = "";

	$.each(layersExist, function() {
		if(this.id.substr(0,11)=='layer[movie' || this.id.substr(0,10)=='layer[text') {
			newLayerSort += "<li ";
			inner = this.innerHTML;
			$.each(this.attributes, function() {
				newLayerSort += this.nodeName+"='"+this.nodeValue+"' ";
			});
			newLayerSort += ">"+inner+"</li>";
		} else {
			newLayerSort += layer;
			newLayerSort += "<li ";
			inner = this.innerHTML;
			$.each(this.attributes, function() {
				newLayerSort += this.nodeName+"='"+this.nodeValue+"' ";
			});
			newLayerSort += ">" + inner + "</li>";
			if(layer.length > 0) {
				layer = "";
			}
		}
	});
	$("#layerList").html(newLayerSort);
}
*/
/*
function strpos (haystack, needle, offset) {
    var i = (haystack + '').indexOf(needle, (offset || 0));
    return i === -1 ? false : i;
}
*/
/**
 * prePasteTinyMce
 * @param {type} txt
 * @returns {prePasteTinyMce.prepostcontent}
 */
function prePasteTinyMce(txt) {
	var match1 = txt.match(/font-family\:(.+?);/,"");
	var match2 = txt.match(/\sface=\"([a-zA-Z0-9\u002C\s\-]*)\"/g,"");

	if(match1 != null || match2 != null) {
		alert("W tekście wystąpiły niestandardowe czcionki. Formatowanie czcionek zostało usunięte.");
	}

	var prepostcontent = txt.replace(/font-family\:(.+?);/,"");
	prepostcontent = prepostcontent.replace(/\sface=\"([a-zA-Z0-9\u002C\s\-]*)\"/g,"");
	return prepostcontent;
}

//var svg = null;
//var pt = null;
//var onmove = null;
function strpos(haystack, needle, offset) {
  //  discuss at: http://phpjs.org/functions/strpos/
  // original by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
  // improved by: Onno Marsman
  // improved by: Brett Zamir (http://brett-zamir.me)
  // bugfixed by: Daniel Esteban
  //   example 1: strpos('Kevin van Zonneveld', 'e', 5);
  //   returns 1: 14

  var i = (haystack + '')
    .indexOf(needle, (offset || 0));
  return i === -1 ? false : i;
}

var textLayers = '';
var movieLayers = '';
var objectLayers = '';

// w zastepstwie za objectLayers
var sheetLayers = new Array();

var holdStarter = null;
var holdDelay = 50;
var holdActive = false;
/*
function onMouseDown(){
	holdStarter = setTimeout(function() {
		holdStarter = null;
		holdActive = true;
	}, holdDelay);
}

function onMouseUp(){
	if(holdStarter) {
		clearTimeout(holdStarter);
	} else if (holdActive) {
		holdActive = false;
	}
}
*/

/**
 * switchLayerVisibility
 * @param {type} id
 * @returns {undefined}
 */
function switchLayerVisibility(id) {
	clearCorners();

	var layer = $('#layer-' + id + ' .layerEye');

	var node = document.getElementById(id);
	var parentNode = node.parentNode;

	if(layer.hasClass('eyeoff')) {
		layer.removeClass('eyeoff').addClass('eyeon');

		parentNode.removeAttribute('style');
		parentNode.removeAttribute('opacity');
	} else if(layer.hasClass('eyeon')) {
		layer.removeClass('eyeon').addClass('eyeoff');

		parentNode.setAttribute('style', 'display: none;');
		parentNode.setAttribute('opacity', 0);

		$('.rightMenuHeader .layersEye').removeClass('eyeon').addClass('eyeoff');
	}

	saveSvg();
}

/**
 * switchLayersVisibility
 * @returns {undefined}
 */
function switchLayersVisibility() {
	clearCorners();

	var layers = $('.rightMenuHeader .layersEye');
	if(layers.hasClass('eyeoff')) {
		layers.removeClass('eyeoff').addClass('eyeon');
		$('li', '#layerList').each(function() {
			$(this).find('.layerEye').removeClass('eyeoff').addClass('eyeon');

			var id = $(this).attr('id').replace('layer-', '');
			var node = document.getElementById(id);
			var parentNode = node.parentNode;

			parentNode.removeAttribute('style');
			parentNode.removeAttribute('opacity');
		});
	} else if(layers.hasClass('eyeon')) {
		layers.removeClass('eyeon').addClass('eyeoff');
		$('li', '#layerList').each(function() {
			$(this).find('.layerEye').removeClass('eyeon').addClass('eyeoff');

			var id = $(this).attr('id').replace('layer-', '');
			var node = document.getElementById(id);
			var parentNode = node.parentNode;

			parentNode.setAttribute('style', 'display: none;');
			parentNode.setAttribute('opacity', 0);
		});
	}

	saveSvg();
}

/**
 * deleteLayer
 * @param {type} id
 * @returns {undefined}
 */
function deleteLayer(id) {
	activeObj = id;
	$('#activeElement').val(activeObj);
	cmdInsertDelobj();
}

/**
 * saveLayerTitle
 * @param {type} id
 * @returns {undefined}
 */
function saveLayerTitle(id) {
	var layer = $('#layer-' + id);
	var layerTitle = layer.find('.layerTitleEdit');
	var title = layerTitle.find('.newtitle').val();
	layer.find('.layerTitle').html(title);

	var ob = $('#' + id);
	ob.attr('title', title);
	cancelLayerTitle(id);
	saveSvg();
}

/**
 * cancelLayerTitle
 * @param {type} id
 * @returns {undefined}
 */
function cancelLayerTitle(id) {
	var layer = $('#layer-' + id);
	layer.find('.layerEdit').html('').hide();
	layer.find('.layerInfo').show();
}

/**
 * changeLayerTitle
 * @param {type} id
 * @returns {undefined}
 */
function changeLayerTitle(id) {
	$('#layerList .layerEdit').html('').hide();
	$('#layerList .layerInfo').show();

	var layer = $('#layer-' + id);
	var layerTitle = layer.find('.layerTitle');

	var fill = layerTitle.css('background-color');
	var stroke = layerTitle.css('border-color');
	var title = layerTitle.html();

	layer.find('.layerInfo').hide();
	layer.find('.layerEdit').html('<div class="layerCancel" onclick="cancelLayerTitle(\'' + id + '\');"></div><div class="layerSave" onclick="saveLayerTitle(\'' + id + '\')"></div><div class="layerTitleEdit" style="background-color: ' + fill + '; border: solid 1px ' + stroke + ';"><input type="text" class="newtitle" value="' + title + '" /></div>').show();
}

/**
 * selectLayer
 * @param {type} id
 * @returns {undefined}
 */
function selectLayer(id) {
	clearCorners();
	var node = document.getElementById(id);
	addCorners(node);
}

/**
 * sheetLayer
 * @param {type} id
 * @param {type} fill
 * @param {type} stroke
 * @param {type} title
 * @param {type} visible
 * @returns {String}
 */
function sheetLayer(id, fill, stroke, title, visible) {
	var v = (visible == 1) ? 'eyeon' : 'eyeoff';
	return '<li id="layer-' + id + '"><div class="layerInfo"><div class="layerEye ' + v + '" onclick="switchLayerVisibility(\'' + id + '\');"></div><div class="layerTrash" onclick="deleteLayer(\'' + id + '\')"></div><div onclick="selectLayer(\'' + id + '\');" ondblclick="changeLayerTitle(\'' + id + '\')" class="layerTitle" style="background-color: ' + fill + '; border: solid 1px ' + stroke + ';">' + title + '</div></div><div class="layerEdit">asd</div></li>';
}

/**
 * layerHidden
 * @param {type} node
 * @returns {Boolean}
 */
function layerHidden(node) {
	var pnode = node.parentNode;
	return (pnode && pnode.hasAttribute('opacity') && (pnode.getAttribute('opacity') == 0)) ? true : false ;
}

/**
 * bindElement
 * @param {type} node
 * @param {type} addLayerList
 * @returns {undefined}
 */
function bindElement(node, addLayerList) {
	var tytul = node.getAttribute('title');

	var pnode = node.parentNode;
	if(pnode && pnode.hasAttribute('opacity')) {
		var visibleLayer = pnode.getAttribute('opacity');
	} else {
		var visibleLayer = 1;
	}

	if(node instanceof SVGRectElement) {
		if(tytul == '') {
			tytul = 'Prostokąt';
		}

		sheetLayers[iloscObiektow] = sheetLayer(
			node.getAttribute('id'),
			node.getAttribute('fill'),
			node.getAttribute('stroke'),
			tytul,
			visibleLayer
		);

		$(node)
			.mousedown(
				function(event) {
					event.preventDefault();

					clearCorners();
					addCorners(node);

					showElementAndHideRest('#rectEditor');
					editRect(node);
					checkTimeline(node);

					moveElement(event, node);
				}
			)
			.mouseup(
				function(event) {
					event.preventDefault();
					editRect(node);
				}
			);
	} else if(node instanceof SVGCircleElement) {
		if(tytul == '') {
			tytul = 'Okrąg';
		}

		sheetLayers[iloscObiektow] = sheetLayer(
			node.getAttribute('id'),
			node.getAttribute('fill'),
			node.getAttribute('stroke'),
			tytul,
			visibleLayer
		);

		$(node)
			.mousedown(
				function(event) {
					event.preventDefault();

					clearCorners();
					addCorners(node);

					showElementAndHideRest('#circleEditor');
					editCircle(node);
					checkTimeline(node);

					moveElement(event, node);
				}
			)
			.mouseup(
				function(event) {
					event.preventDefault();
					editCircle(node);
				}
			);
	} else if(node instanceof SVGEllipseElement) {
		if(tytul == '') {
			tytul = 'Elipsa';
		}

		sheetLayers[iloscObiektow] = sheetLayer(
			node.getAttribute('id'),
			node.getAttribute('fill'),
			node.getAttribute('stroke'),
			tytul,
			visibleLayer
		);

		$(node)
			.mousedown(
				function(event) {
					event.preventDefault();

					clearCorners();
					addCorners(node);

					showElementAndHideRest('#ellipseEditor');
					editEllipse(node);
					checkTimeline(node);

					moveElement(event, node);
				}
			)
			.mouseup(
				function(event) {
					event.preventDefault();
					editEllipse(node);
				}
			);
	} else if(node instanceof SVGImageElement) {
		var id = node.getAttribute('id').split('_');

		if(id[0] == 'movie') {
			if(tytul == '') {
				tytul = 'Film';
			}

			sheetLayers[iloscObiektow] = sheetLayer(
				node.getAttribute('id'),
				'#dddddd',
				'#000000',
				tytul,
				visibleLayer
			);
		} else {
			if(tytul == '') {
				tytul = 'Obrazek';
			}

			sheetLayers[iloscObiektow] = sheetLayer(
				node.getAttribute('id'),
				'#1676B1',
				'#000000',
				tytul,
				visibleLayer
			);
		}

		$(node)
			.dblclick(
				function(event) {
					event.preventDefault();
					clearCorners();

					switch(id[1]) {
						case 'formula':
							$.fancybox({
								padding: 0,
								href: serverName + '?page=presentations&cl=mathQuillEq&id=' + node.getAttribute('id')
							});
							break;
						case 'yt':
							var movie = document.createElement('div');

							var posTop = parseInt(node.getAttribute('y'));
							var posLeft = parseInt(node.getAttribute('x'));
							var dimWidth = parseInt(node.getAttribute('width'));
							var dimHeight = parseInt(node.getAttribute('height'));

							$(movie)
								.attr('id', 'movie_' + id[2])
								.css('position', 'absolute')
								.css('z-index', '105')
								.css('top', posTop - 3)
								.css('left', posLeft)
								.css('width', dimWidth)
								.css('height', dimHeight)
								.html(pasteYTCode(id[2], id[3], posLeft, posTop, dimWidth, dimHeight));

							$('#workplace').before(movie);
							break;
						case 'chem':
							var movie = document.createElement('div');

							var posTop = parseInt(node.getAttribute('y'));
							var posLeft = parseInt(node.getAttribute('x'));
							var dimWidth = parseInt(node.getAttribute('width'));
							var dimHeight = parseInt(node.getAttribute('height'));

							$(movie)
								.attr('id', 'movie_' + id[2])
								.css('position', 'absolute')
								.css('z-index', '105')
								.css('top', posTop - 3)
								.css('left', posLeft)
								.css('width', dimWidth)
								.css('height', dimHeight)
								.html(pasteChemCode(id[2], id[3], posLeft, posTop, dimWidth, dimHeight));

							$('#workplace').before(movie);
							break;
						case 'img':
							var movie = document.createElement('div');

							var posTop = parseInt(node.getAttribute('y'));
							var posLeft = parseInt(node.getAttribute('x'));
							var dimWidth = parseInt(node.getAttribute('width'));
							var dimHeight = parseInt(node.getAttribute('height'));

							$(movie)
								.attr('id', 'movie_' + id[2])
								.css('position', 'absolute')
								.css('z-index', '105')
								.css('top', posTop - 3)
								.css('left', posLeft)
								.css('width', dimWidth)
								.css('height', dimHeight)
								.html(pasteFilmCode(id[2], id[3] + '_' + id[4], posLeft, posTop, dimWidth, dimHeight));

							$('#workplace').before(movie);
							break;
					}
				}
			)
			.mousedown(
				function(event) {
					event.preventDefault();

					clearCorners();
					addCorners(node);

					showElementAndHideRest('#imageEditor');
					editImg(node);
					checkTimeline(node);

					moveElement(event, node);
				}
			)
			.mouseup(
				function(event) {
					event.preventDefault();
					editImg(node);
				}
			);
	} else if(node instanceof SVGPathElement) {
		if(tytul == '') {
			tytul = 'Linia';
		}

		sheetLayers[iloscObiektow] = sheetLayer(
			node.getAttribute('id'),
			'#ffffff',
			'#000000',
			tytul,
			visibleLayer
		);

		$(node)
			.mousedown(
				function(event) {
					event.preventDefault();

					editPath(node);
					checkTimeline(node);

					movePathElement(event, node);
				}
			)
			.mouseup(
				function(event) {
					event.preventDefault();
					editPath(node);
				}
			);
	} else if(node instanceof SVGForeignObjectElement) {
		if(tytul == '') {
			tytul = 'Pole tekstowe';
		}

		sheetLayers[iloscObiektow] = sheetLayer(
			node.getAttribute('id'),
			'#ffffff',
			'#000000',
			tytul,
			visibleLayer
		);

		$(node)
			.dblclick(
				function(event) {
					event.preventDefault();

					if(($(this).data('foreign') == 'question') 
					|| ($(this).data('foreign') == 'answer') 
					|| ($(this).data('foreign') == 'www')) {
						return;
					}

					if($(this).data('foreign') == 'math') {
						editMath(node);
					} else {
						editText(node);
					}
				}
			)
			.mousedown(
				function(event) {
					event.preventDefault();

					clearCorners();
					addCorners(node);

					showElementAndHideRest('#foreignEditor');
					editForeign(node);
					checkTimeline(node);

					moveElement(event, node);
				}
			)
			.mouseup(
				function(event) {
					event.preventDefault();
				}
			);
	}

	iloscObiektow++;

	if(addLayerList === true) {
		objectLayers = '';

		var layerlist = $('#layerList');
		layerlist.html('');

		if(sheetLayers.length > 0) {
			var sheetLayersCopy = sheetLayers.slice();
			sheetLayersCopy.reverse();

			for(var i = 0; i < sheetLayersCopy.length; ++i) {
				objectLayers = objectLayers.concat(sheetLayersCopy[i]);
			}
			layerlist.html(objectLayers);
		}
	}
}

/**
 * checkTimeline
 * @param {type} node
 * @returns {undefined}
 */
function checkTimeline(node) {
	var nid = node.getAttribute('id');
	/*
	if(node instanceof HTMLDivElement) {
		var nid = node.firstElementChild.id;
	} else {
		var nid = node.getAttribute('id');
	}
	*/
	$.ajax({
		type: 'GET',
		url: serverName + '?page=presentations&cl=checkTimeline',
		data: { nid: nid }
	})
	.done(function(response) {
		if(response.success === true) {
			if(response.sat === true) {
				$("#timelineEditorForm [name=showAllTime]").attr('checked','checked');
			} else {
				$("#timelineEditorForm [name=showAllTime]").removeAttr('checked');
			}
			$("#timelineEditorForm [name=timeBegin]").val(response.tb);
			$("#timelineEditorForm [name=timeEnd]").val(response.te);
		} else {
			alert(response.message);
		}
	})
	.fail(function() {
		alert('Wystąpił nieoczekiwany błąd! Skontaktuj się z administratorem!');
	});
}

/**
 * moveDivElement
 * @param {type} event
 * @param {type} node
 * @returns {moveElement}
 */
function moveDivElement(event, node) {
	var element = node.firstElementChild;

	var mouseStart = { x: event.clientX, y: event.clientY };
	var elementStart = { x: $(element).offset().left, y: $(element).offset().top };

	var hide = 0;
	var xpos = 0;
	var ypos = 0;
	
	var onMoveDivElement = function(event) {
		xpos = event.clientX - mouseStart.x;
		ypos = event.clientY - mouseStart.y;

		if((hide == 0) && (xpos != 0) || (ypos != 0)) {
			clearCorners();
			hide = 1;
		}

		$(node).offset({
			left: elementStart.x + xpos,
			top: elementStart.y + ypos
		});
	};

	document.body.addEventListener('mousemove', onMoveDivElement, false);
	document.body.addEventListener('mouseup', function() {
		document.body.removeEventListener('mousemove', onMoveDivElement, false);
		if((xpos != 0) || (ypos != 0)) {
			saveDiv(node);
			xpos = 0;
			ypos = 0;
		}
	}, false);
}

/**
 * moveElement
 * @param {type} event
 * @param {type} node
 * @returns {moveElement}
 */
function moveElement(event, node) {
	var svg = document.getElementsByTagName('svg')[0];

	var x = node.hasAttribute('cx') ? 'cx' : 'x';
	var y = node.hasAttribute('cy') ? 'cy' : 'y';

	var mouseStart = { x: event.clientX, y: event.clientY };
	var elementStart = { x: node.getAttribute(x), y: node.getAttribute(y) };

	var hide = 0;
	var xpos = 0;
	var ypos = 0;

	var obid = 'objectBorder_' + node.getAttribute('id');

	var onMoveElement = function(event) {
		xpos = event.clientX - mouseStart.x;
		ypos = event.clientY - mouseStart.y;

		if((hide == 0) && (xpos != 0) || (ypos != 0)) {
			hideCorners();
			hide = 1;
		}

		if(node instanceof SVGImageElement) {
			if(($('#' + obid).length == 0) && ((xpos != 0) || (ypos != 0))) {
				$('<div></div>')
					.addClass('objectBorder')
					.attr('id', obid)
					.css('z-index', 1009)
					.css('border', '1px solid gray')
					.css('position', 'absolute')
					.css('left', parseInt(node.getAttribute(x)))
					.css('top', parseInt(node.getAttribute(y)))
					.css('width', parseInt(node.getAttribute('width')))
					.css('height', parseInt(node.getAttribute('height')))
					.appendTo($('#objects'));
			}

			$('.objectBorder')
				.css('left', parseInt(elementStart.x) + parseInt(xpos))
				.css('top', parseInt(elementStart.y) + parseInt(ypos))
		} else {
			node.setAttribute(x, parseInt(elementStart.x) + parseInt(xpos));
			node.setAttribute(y, parseInt(elementStart.y) + parseInt(ypos));
		}
	};

	document.body.addEventListener('mousemove', onMoveElement, false);
	document.body.addEventListener('mouseup', function() {
		document.body.removeEventListener('mousemove', onMoveElement, false);

		if(node instanceof SVGImageElement) {
			$('.objectBorder').remove();
		}

		if((xpos != 0) || (ypos != 0)) {
			waitingOverlay('on');

			if(node instanceof SVGImageElement) {
				node.setAttribute(x, parseInt(elementStart.x) + parseInt(xpos));
				node.setAttribute(y, parseInt(elementStart.y) + parseInt(ypos));
			}

			xpos = 0;
			ypos = 0;
			hide = 0;

			saveSvg(true, node);
		}
	}, false);
}
/**
 * 
 * @param {type} event
 * @param {type} node
 * @returns {undefined}
 */
function movePathElement(event, node) {
	var svg = document.getElementsByTagName('svg')[0];

	node.parentNode.appendChild(node);

	var ms = svg.createSVGPoint();
	ms.x = event.clientX;
	ms.y = event.clientY;
	ms.matrixTransform(svg.getScreenCTM().inverse());
	var mouseStart = ms;

	var nodeId = node.getAttribute('id');
	if(strpos(nodeId, 'multicurves') > 0) {
		var sign = 'S';
	} else if(strpos(nodeId, 'curve') > 0) {
		var sign = 'C';
	} else {
		var sign = 'L';
	}

	var pointD = node.getAttribute('d');
	var pt = svg.createSVGPoint();

	var onmove = function(event) {
		var pointsArr = new Array();
		var strPoint = '';
		var i = 0;

		pt.x = event.clientX;
		pt.y = event.clientY;
		pt.matrixTransform(svg.getScreenCTM().inverse());
		var current = pt;

		pt.x = current.x - mouseStart.x;
		pt.y = current.y - mouseStart.y;
//		var m = node.getTransformToElement(svg).inverse();
//		m.e = m.f = 0;
//		pt = pt.matrixTransform(m);

		if(strpos(pointD, ' ') > 0) {
			var pointPos = pointD.split(' ');

			$.each(pointPos, function() {
				var tmpPointStr = this.replace('M', '');
				tmpPointStr = tmpPointStr.replace('C', '');
				tmpPointStr = tmpPointStr.replace('S', '');
				tmpPointStr = tmpPointStr.replace('L', '');
				pointsArr[i] = tmpPointStr;
				i++;
			});

			i = 0;
			$.each(pointsArr, function() {
				points = this.split(',');

				var pointX = parseInt(points[0]) + (pt.x);
				var pointY = parseInt(points[1]) + (pt.y);

				if(parseInt(pointX) && parseInt(pointY)) {
					if(i == 0) {
						strPoint += "M" + pointX + "," + pointY;
					} else if(i == 1) {
						strPoint += " " + sign + pointX + "," + pointY;
					} else {
						strPoint += " " + pointX + "," + pointY;
					}
					i++;
				}
			})
		} else {
			console.log('bbbbbb');
		}

		var dragEvent = document.createEvent('Event');
		dragEvent.initEvent('dragged', true, true);
		node.dispatchEvent(dragEvent);

		node.setAttribute('d', strPoint);
		clearCorners();
	}

	document.body.addEventListener('mousemove', onmove, false);
	document.body.addEventListener('mouseup', function(){
		document.body.removeEventListener('mousemove', onmove, false);
	}, false);
}

/**
 * resizeElement
 * @param {type} node
 * @param {type} positionX
 * @param {type} positionY
 * @param {type} sideX
 * @param {type} sideY
 * @returns {undefined}
 */
function resizeElement(el, positionX, positionY, sideX, sideY) {
	if(el !== null) {
		var element = el;
	} else {
		var element = document.getElementById(activeObj);
	}

	var elTagName = element.tagName.toLowerCase();

	if(elTagName == 'circle') {
		var right = $('#rt_corner');
		var left = $('#lt_corner');
		var bottom = $('#rb_corner');

		var width = parseInt(right.position().left) - parseInt(left.position().left);
		var height = parseInt(bottom.position().top) - parseInt(right.position().top);

		if(width < height) {
			element.setAttribute('r', width / 2);
		} else {
			element.setAttribute('r', height / 2);
		}

		var cx = parseInt(left.position().left) + (width / 2);
		var cy = parseInt(right.position().top) + (height / 2);

		element.setAttribute('cx', cx + 5);
		element.setAttribute('cy', cy + 5);
		editCircle(element);
	} else if(elTagName == 'ellipse') {
		var right = $('#rt_corner');
		var left = $('#lt_corner');
		var bottom = $('#rb_corner');

		var width = parseInt(right.position().left) - parseInt(left.position().left);
		var height = parseInt(bottom.position().top) - parseInt(right.position().top);

		element.setAttribute('rx', width / 2);
		element.setAttribute('ry', height / 2);

		var cx = parseInt(left.position().left) + (width / 2);
		var cy = parseInt(right.position().top) + (height / 2);

		element.setAttribute('cx', cx + 5);
		element.setAttribute('cy', cy + 5);
		editEllipse(element);
	} else if(elTagName == 'div') {
		var parent = element.parentNode;

		// Zmienia sie szerokosc obiektu
		if(positionX !== null) {
			if(sideX == 'left') {
				parent.style.left = positionX + '298px';
				element.style.width = $('#rt_corner').position().left - positionX + 'px';
			}
			if(sideX == 'right') {
				element.style.width = positionX - $('#lt_corner').position().left + 'px';
			}
		}
		// Zmienia sie wysokosc obiektu
		if(positionY !== null) {
			if(sideY == 'top') {
				parent.style.top = positionY + '298px';
				element.style.height = $('#rb_corner').position().top - positionY + 'px';
			}

			if(sideY == 'bottom') {
				element.style.height = positionY - $('#rt_corner').position().top + 'px';
			}
		}
	} else {
		// Zmienia sie szerokosc obiektu
		if(positionX !== null) {
			var x = elTagName == 'circle' ? 'cx' : 'x';

			if(sideX == 'left') {
				element.setAttribute('width', $('#rt_corner').position().left - positionX);
				element.setAttribute(x, positionX + 5);
			}

			if(sideX == 'right') {
				element.setAttribute('width', positionX - $('#lt_corner').position().left);
			}
		}
		// Zmienia sie wysokosc obiektu
		if(positionY !== null) {
			var y = elTagName == 'circle' ? 'cy' : 'y';

			if(sideY == 'top') {
				element.setAttribute('height', $('#rb_corner').position().top - positionY);
				element.setAttribute(y, positionY + 5);
			}

			if(sideY == 'bottom') {
				element.setAttribute('height', positionY - $('#rt_corner').position().top);
			}
		}

		if(elTagName == 'rect') {
			editRect(element);
		} else if(elTagName == 'image') {
			editImg(element);
		} else if(elTagName == 'foreignobject') {
			var container = element.getElementsByClassName('gsc');
			$(container)
				.css('width', element.getAttribute('width') - 2)
				.css('height', element.getAttribute('height') - 2);
		}
	}
}

/**
 * makeGroup
 * @param {type} position
 * @returns {Element}
 */
function makeGroup(position) {
	var node = document.createElementNS('http://www.w3.org/2000/svg', 'g');
	var id = 'guid_' + (Math.random().toString(16) + "000000000").substr(2,10);
	node.setAttribute('id', id);

	var svg = document.getElementById('workarea');
	//if(position == 'first') {
	//	svg.insertBefore(node, svg.firstChild);
	//} else {
		svg.appendChild(node);
	//}

	return node;
}

/**
 * moveCorner
 * @param {type} event
 * @param {type} node
 * @returns {undefined}
 */
function moveCorner(event, node) {
	var nodeId = node.attr('id');

	var proportionally = false;
	var ratio = 1;

	var el = activeObj.split('_');

	if(((el[0] == 'circle') || (el[0] == 'rect') || (el[0] == 'image')) 
	&& ((nodeId == 'lb_corner') || (nodeId == 'rb_corner') || (nodeId == 'rt_corner') || (nodeId == 'lt_corner'))) {
		var objectToScale = document.getElementById(activeObj);
		proportionally = true;

		if(el[0] == 'circle') {
			ratio = 1;
		} else {
			ratio = objectToScale.getAttribute('width') / objectToScale.getAttribute('height');
		}
	}

	var mouseStart = { x: event.clientX, y: event.clientY };
	var elementStart = { x: node.position().left, y: node.position().top };

	var xpos = 0;
	var ypos = 0;

	var onMoveCorner = function(event) {
		xpos = event.clientX - mouseStart.x;
		ypos = event.clientY - mouseStart.y;

		node
			.css('left', elementStart.x + xpos)
			.css('top', elementStart.y + ypos);

		if(proportionally === true) {
			if((nodeId == 'lb_corner') || (nodeId == 'rt_corner')) {
				moveCorners(node, elementStart.x + (xpos * ratio), elementStart.y - xpos);
			} else {
				moveCorners(node, elementStart.x + (xpos * ratio), elementStart.y + xpos);
			}
		} else {
			moveCorners(node, elementStart.x + xpos, elementStart.y + ypos);
		}

	};

	document.body.addEventListener('mousemove', onMoveCorner, false);
	document.body.addEventListener('mouseup', function() {
		document.body.removeEventListener('mousemove', onMoveCorner, false);
		if((xpos != 0) || (ypos != 0)) {
			saveSvg();
			xpos = 0;
			ypos = 0;
		}
	}, false);
}

/**
 * moveCorners
 * @param {type} node
 * @param {type} x
 * @param {type} y
 * @returns {undefined}
 */
function moveCorners(node, x, y) {
	var nodeId = node.attr('id');

	switch(nodeId) {
		case 'line_cb':
			node.css('top', y);
			moveSimilarCorner('lb_corner', null, y);
			moveSimilarCorner('rb_corner', null, y);
			moveSimilarCorner('line_cl', null, 'center', 'lt_corner', 'lb_corner');
			moveSimilarCorner('line_cr', null, 'center', 'lt_corner', 'lb_corner');
			resizeElement(null, null, y, '', 'bottom');
			break;
		case 'line_ct':
			node.css('top', y);
			moveSimilarCorner('lt_corner', null, y);
			moveSimilarCorner('rt_corner', null, y);
			moveSimilarCorner('line_cl', null, 'center', 'lt_corner', 'lb_corner');
			moveSimilarCorner('line_cr', null, 'center', 'lt_corner', 'lb_corner');
			resizeElement(null, null, y, '', 'top');
			break;
		case 'line_cl':
			node.css('left', x);
			moveSimilarCorner('lt_corner', x, null);
			moveSimilarCorner('lb_corner', x, null);
			moveSimilarCorner('line_cb', 'center', null, 'lb_corner', 'rb_corner');
			moveSimilarCorner('line_ct', 'center', null, 'lb_corner', 'rb_corner');
			resizeElement(null, x, null, 'left', '');
			break;
		case 'line_cr':
			node.css('left', x);
			moveSimilarCorner('rt_corner', x, null);
			moveSimilarCorner('rb_corner', x, null);
			moveSimilarCorner('line_cb', 'center', null, 'lb_corner', 'rb_corner');
			moveSimilarCorner('line_ct', 'center', null, 'lb_corner', 'rb_corner');
			resizeElement(null, x, null, 'right', '');
			break;

		case 'lt_corner':
			node.css('left', x);
			node.css('top', y);
			moveSimilarCorner('line_ct', 'center', y, 'lb_corner', 'rb_corner');
			moveSimilarCorner('line_cb', 'center', null, 'lb_corner', 'rb_corner');
			moveSimilarCorner('rt_corner', null, y);
			moveSimilarCorner('line_cl', x, 'center', 'lt_corner', 'lb_corner');
			moveSimilarCorner('line_cr', null, 'center', 'lt_corner', 'lb_corner');
			moveSimilarCorner('lb_corner', x, null);
			resizeElement(null, x, y, 'left', 'top');
			break;
		case 'rt_corner':
			node.css('left', x);
			node.css('top', y);
			moveSimilarCorner('line_ct', 'center', y, 'lb_corner', 'rb_corner');
			moveSimilarCorner('line_cb', 'center', null, 'lb_corner', 'rb_corner');
			moveSimilarCorner('lt_corner', null, y);
			moveSimilarCorner('line_cr', x, 'center', 'lt_corner', 'lb_corner');
			moveSimilarCorner('line_cl', null, 'center', 'lt_corner', 'lb_corner');
			moveSimilarCorner('rb_corner', x, null);
			resizeElement(null, x, y, 'right', 'top');
			break;
		case 'rb_corner':
			node.css('left', x);
			node.css('top', y);
			moveSimilarCorner('line_cb', 'center', y, 'lb_corner', 'rb_corner');
			moveSimilarCorner('line_ct', 'center', null, 'lb_corner', 'rb_corner');
			moveSimilarCorner('lb_corner', null, y);
			moveSimilarCorner('line_cr', x, 'center', 'lt_corner', 'lb_corner');
			moveSimilarCorner('line_cl', null, 'center', 'lt_corner', 'lb_corner');
			moveSimilarCorner('rt_corner', x, null);
			resizeElement(null, x, y, 'right', 'bottom');
			break;
		case 'lb_corner':
			node.css('left', x);
			node.css('top', y);
			moveSimilarCorner('line_cb', 'center', y, 'lb_corner', 'rb_corner');
			moveSimilarCorner('line_ct', 'center', null, 'lb_corner', 'rb_corner');
			moveSimilarCorner('rb_corner', null, y);
			moveSimilarCorner('line_cl', x, 'center', 'lt_corner', 'lb_corner');
			moveSimilarCorner('line_cr', null, 'center', 'lt_corner', 'lb_corner');
			moveSimilarCorner('lt_corner', x, null);
			resizeElement(null, x, y, 'left', 'bottom');
			break;
	}
}

/**
 * moveSimilarCorner
 * @param {type} id
 * @param {type} x
 * @param {type} y
 * @returns {undefined}
 */
function moveSimilarCorner(id, x, y, c1, c2) {
	var n = $('#' + id);

	if(n == null) {
		return true;
	}

	if(x !== null) {
		if(x === 'center') {
			var p1 = $('#' + c1);
			var p2 = $('#' + c2);

			var p1x = parseInt(p1.position().left);
			var p2x = parseInt(p2.position().left);

			if(p1x < p2x) {
				var pcx = p1x + ((p2x - p1x) / 2);
				n.css('left', pcx);
			}
		} else {
			n.css('left', x);
		}
	}

	if(y !== null) {
		if(y === 'center') {
			var p1 = $('#' + c1);
			var p2 = $('#' + c2);

			var p1y = parseInt(p1.position().top);
			var p2y = parseInt(p2.position().top);

			if(p1y < p2y) {
				var pcy = p1y + ((p2y - p1y) / 2);
				n.css('top', pcy);
			}
		} else {
			n.css('top', y);
		}
	}
}

/**
 * makeCorner
 * @param {type} X
 * @param {type} Y
 * @param {type} name
 * @returns {undefined}
 */
function makeCorner(X, Y, name) {
	$('<div></div>')
		.attr('id', name)
		.css('left', X).css('top', Y)
		.appendTo('#corners')
		.click(
			function(event) {
				event.preventDefault();
			}
		)
		.mousedown(
			function(event) {
				event.preventDefault();
				moveCorner(event, $(this));
			}
		).mouseup(
			function(event) {
				event.preventDefault();
			}
		);
}
/**
 * makeObject
 * @param {type} data
 * @returns {undefined}
 */
function makeObject(data) {
	var tmpname = new Date().getTime();

	switch(data.extId) {
		case '3':
			switch(data.source) {
				case 'eduweb':
				case 'googleweb':
					var params = data.params.split(',');
					var xFrameOptions = params[0].split(':');

					if(xFrameOptions[1] == 1) {
						$('body').append('<div id="customConfirm"><h3 class="popupHeader">Strony nie można umieścić w iframe.</h3><div class="center"><input type="button" class="submitButton" id="customConfirmScreen" value="PrintScreen" style="margin-left: 23px;"/></div></div>');
					} else {
						$('body').append('<div id="customConfirm"><h3 class="popupHeader">Wybierz</h3><div class="center"><input type="button" class="submitButton" id="customConfirmIframe" value="IFrame"/><input type="button" class="submitButton" id="customConfirmScreen" value="PrintScreen" style="margin-left: 23px;"/></div></div>');
					}

					$('body').append('<div id="customAlertOverlay"></div>');
					$('#customConfirm').center();

					$('#customConfirmIframe').click(function() {
						closeCustomConfirm();
						waitingOverlay('on');

						$.ajax({
							type: 'GET',
							url: '?page=ajax&action=webshot',
							data: {
								url: data.content
							},
							success: function(response) {
								var wdata = JSON.parse(response);

								if(wdata.success != true) {
									customAlert('Błąd - odśwież stronę i spróbuj ponownie');
								} else {
									var img = wdata.html;
									var width = 500;
									var height = 350;

									var node = makeImg(
										'image_' + tmpname + '_' + parseInt(Math.random()*100),
										img,
										0,
										0,
										500,
										350,
										1,
										'image_x_' + tmpname + '_' + parseInt(Math.random()*100),
										true,
										data.title,
										true
									);

									node.setAttribute('data-href', data.content);
									node.setAttribute('data-iframe', true);
									saveSvg();
								}

								waitingOverlay('off');
							},
							error: function(){
								customAlert('Błąd zapisu - odśwież stronę i spróbuj ponownie');
							}
						});
					});

					$('#customConfirmScreen').click(function() {
						closeCustomConfirm();
						waitingOverlay('on');

						$.ajax({
							type: 'GET',
							url: '?page=ajax&action=webshot',
							data: {
								url: data.content
							},
							success: function(response) {
								var wdata = JSON.parse(response);

								if(wdata.success != true) {
									customAlert('Błąd - odśwież stronę i spróbuj ponownie');
								} else {
									var img = wdata.html;
									var width = 500;
									var height = 350;

									var node = makeImg(
										'image_' + tmpname + '_' + parseInt(Math.random()*100),
										img,
										0,
										0,
										500,
										350,
										1,
										'image_x_' + tmpname + '_' + parseInt(Math.random()*100),
										true,
										data.title,
										true
									);

									node.setAttribute('data-href', data.content);
									node.setAttribute('data-printscreen', true);
									saveSvg();
								}

								waitingOverlay('off');
							},
							error: function(){
								customAlert('Błąd zapisu - odśwież stronę i spróbuj ponownie');
							}
						});
					});
					break;
				case 'youtube':

					var params = data.params.split(';');
					var type = params[0].split(':');

					switch(type[0]) {
						case 'video':
							var data = {page: 'search', search: 'youtube', videoId: type[1]};
							break;
						case 'channel':
							var data = {page: 'search', search: 'youtube', channelId: type[1]};
							break;
						case 'playlist':
							var data = {page: 'search', search: 'youtube', playlistId: type[1]};
							break;
					}

					$.ajax({
						url: Edu.hostname,
						data: data
					})
					.done(function(response) {
						try {
							var data = JSON.parse(response);
						} catch(err) {
							alert('Wystąpił nieoczekiwany błąd! Skontaktuj się z administratorem!');
							return;
						}

						if(data.console !== null) {
							console.log(data.console);
						}

						if(data.success == true) {
							$.ajax({
								type: 'POST',
								url: '?page=presentations&cl=editMovieForm',
								data: {
									dontAddToSheet: true,
									ftype: 'movie',
									link: 'http://www.youtube.com/watch?v=',
									movieId: type[1]
								},
								success: function(resp) {
									if(resp.success == true) {
										insertMovie(resp.libId, '');
									} else {
										alert(resp.message);
										return;
									}
								}
							});
						} else {
							alert(data.message);
						}
					})
					.fail(function() {
						alert('Wystąpił nieoczekiwany błąd! Skontaktuj się z administratorem!');
					});

					break;
				default:
			}

			break;
		case '5':
		case '6':
		case '7':
		case '8':
			var params = data.params.split(';');

			switch(data.source) {
				case 'flickr':
					var photoId = params[2].split(':');

					$.ajax({
						type: 'GET',
						url: '?page=ajax&action=getFlickrImageSize',
						data: { id: photoId[1] },
						success: function(response) {
							var wdata = JSON.parse(response);
							if(wdata.success === true) {
								var node = makeImg(
									'image_' + tmpname + '_' + parseInt(Math.random()*100),
									data.content,
									0,
									0,
									wdata.width,
									wdata.height,
									1,
									'image_x_' + tmpname + '_' + parseInt(Math.random()*100),
									true,
									data.title
								);
							} else {
								customAlert(wdata.message);
							}
						},
						error: function(response) {
						}
					});
					break;
				default:
					var width = params[0].split(':');
					var height = params[1].split(':');

					var node = makeImg(
						'image_' + tmpname + '_' + parseInt(Math.random()*100),
						data.content,
						0,
						0,
						width[1],
						height[1],
						1,
						'image_x_' + tmpname + '_' + parseInt(Math.random()*100),
						true,
						data.title
					);
			}

			break;
		default: return;
	}
}
/**
 * makeRect
 * @param {type} varname
 * @param {type} X
 * @param {type} Y
 * @param {type} width
 * @param {type} height
 * @param {type} radius
 * @param {type} bgcolor
 * @param {type} border
 * @param {type} opacity
 * @param {type} idparam
 * @param {type} additem
 * @param {type} title
 * @returns {undefined} 
 */
function makeRect(varname, X, Y, width, height, radius, bgcolor, border, opacity, idparam, additem, title) {
	if(title == '' || title == undefined) {
		title = 'Prostokąt';
	}

	if(opacity == '' || opacity == undefined) {
		opacity = 1;
	}

	var node = document.createElementNS('http://www.w3.org/2000/svg', 'rect');

	node.setAttribute('id', idparam);
	node.setAttribute('title', title);
	node.setAttribute('x', parseInt(X));
	node.setAttribute('y', parseInt(Y));
	node.setAttribute('width', parseInt(width));
	node.setAttribute('height', parseInt(height));
	node.setAttribute('r', parseInt(radius));
	node.setAttribute('rx', parseInt(radius));
	node.setAttribute('ry', parseInt(radius));
	node.setAttribute('fill', bgcolor);
	node.setAttribute('stroke', border);
	node.setAttribute('opacity', parseFloat(opacity));

	bindElement(node, true);

	group = makeGroup();
	$(group).append(node);
	saveSvg();

	//var layer = '<li id="layer-' + node.getAttribute('id') + '" class="layers" style="background-color: ' + node.getAttribute('fill') + '; border: solid 1px ' + node.getAttribute('stroke') + ';">' + node.getAttribute('title') + '</li>';
	//$('#layerList').prepend(layer);
}
/**
 * editRect
 * @param {type} node
 * @returns {undefined}
 */
function editRect(node) {
	$("#rectEditorForm [name=title]").val(node.getAttribute('title'));
	$('#rectEditorForm [name=bgcolor]').val(node.getAttribute('fill'));
	$('#rectEditorForm [name=id]').val(node.getAttribute('id'));
	$('#rectEditorForm [name=X]').val(node.getAttribute('x'));
	$('#rectEditorForm [name=Y]').val(node.getAttribute('y'));
	$('#rectEditorForm [name=width]').val(node.getAttribute('width'));
	$('#rectEditorForm [name=height]').val(node.getAttribute('height'));
	$('#rectEditorForm [name=border]').val(node.getAttribute('stroke'));
	$('#rectEditorForm [name=rectopacity]').val(node.getAttribute('opacity'));
	$('#rectEditorForm #rectslider2').slider({value: node.getAttribute('opacity')});
	$('#rectEditorForm [name=rectradius]').val(node.getAttribute('r'));
	$('#rectEditorForm #radiusslider2').slider({value: node.getAttribute('r')});
}

/**
 * updateRect
 * @param {type} id
 * @returns {undefined}
 */
function updateRect(id) {
	var rect = $('#' + id);
	clearCorners();

	var Title = $('#rectEditor [name=title]').val();

	rect.attr('title', Title);
	rect.attr('x', parseInt($('#rectEditor [name=X]').val()));
	rect.attr('y', parseInt($('#rectEditor [name=Y]').val()));
	rect.attr('width', parseInt($('#rectEditor [name=width]').val()));
	rect.attr('height', parseInt($('#rectEditor [name=height]').val()));
	rect.attr('r', parseInt($('#rectEditor [name=rectradius]').val()));
	rect.attr('rx', parseInt($('#rectEditor [name=rectradius]').val()));
	rect.attr('ry', parseInt($('#rectEditor [name=rectradius]').val()));
	rect.attr('fill', $('#rectEditor [name=bgcolor]').val());
	rect.attr('stroke', $('#rectEditor [name=border]').val());
	rect.attr('opacity', parseFloat($('#rectEditor [name=rectopacity]').val()));

	saveSvg();
	$('#layer-' + id).find('.layerTitle').html(Title);
}

/**
 * delRect
 * @returns {undefined}delRect
 */
function delRect() {
	if(activeObj == '') {
		customAlert('Zaznacz obiekt który chcesz usunać');
		return true;
	}

	customConfirm('Usunąć obiekt?', function() {
		deleteObject();
	});
}

/**
 * makeCircle
 * @param {type} varname
 * @param {type} X
 * @param {type} Y
 * @param {type} radius
 * @param {type} bgcolor
 * @param {type} border
 * @param {type} opacity
 * @param {type} idparam
 * @param {type} additem
 * @param {type} title
 * @returns {undefined}
 */
function makeCircle(varname, X, Y, radius, bgcolor, border, opacity, idparam, additem, title) {
	if(title == '' || title == undefined) {
		title = 'Okrąg';
	}

	if(opacity == '' || opacity == undefined) {
		opacity = 1;
	}

	var node = document.createElementNS('http://www.w3.org/2000/svg', 'circle');

	node.setAttribute('id', idparam);
	node.setAttribute('title', title);
	node.setAttribute('cx', parseInt(X));
	node.setAttribute('cy', parseInt(Y));
	node.setAttribute('r', parseInt(radius));
	node.setAttribute('fill', bgcolor);
	node.setAttribute('stroke', border);
	node.setAttribute('opacity', parseFloat(opacity));

	bindElement(node, true);

	group = makeGroup();
	$(group).append(node);
	saveSvg();
}
/**
 * editCircle
 * @param {type} node
 * @returns {undefined}
 */
function editCircle(node) {
	$("#circleEditorForm [name=title]").val(node.getAttribute('title'));
	$("#circleEditorForm [name=bgcolor]").val(node.getAttribute('fill'));
	$("#circleEditorForm [name=id]").val(node.getAttribute('id'));
	$("#circleEditorForm [name=X]").val(node.getAttribute('cx'));
	$("#circleEditorForm [name=Y]").val(node.getAttribute('cy'));
	$("#circleEditorForm [name=radius]").val(node.getAttribute('r'));
	$("#circleEditorForm [name=border]").val(node.getAttribute('stroke'));
	$("#circleEditorForm [name=circleopacity]").val(node.getAttribute('opacity'));
	$("#circleEditorForm #circleslider2").slider({value: node.getAttribute('opacity')});
}
/**
 * updateCircle
 * @param {type} id
 * @returns {undefined}
 */
function updateCircle(id) {
	var circle = $('#' + id);
	clearCorners();

	var Title = $('#circleEditor [name=title]').val();

	circle.attr('title', Title);
	circle.attr('cx', parseInt($('#circleEditor [name=X]').val()));
	circle.attr('cy', parseInt($('#circleEditor [name=Y]').val()));
	circle.attr('r', parseInt($('#circleEditor [name=radius]').val()));
	circle.attr('fill', $('#circleEditor [name=bgcolor]').val());
	circle.attr('stroke', $('#circleEditor [name=border]').val());
	circle.attr('opacity', parseFloat($('#circleEditor [name=circleopacity]').val()));

	saveSvg();
	$('#layer-' + id).find('.layerTitle').html(Title);
}
/**
 * delCircle
 * @returns {undefined}delRect
 */
function delCircle() {
	if(activeObj == '') {
		customAlert('Zaznacz obiekt który chcesz usunać');
		return true;
	}

	customConfirm('Usunąć obiekt?', function() {
		deleteObject();
		//$('#' + activeObj).remove();
		//$('#layer-' + activeObj).remove();
		//clearCorners();
		//showElementAndHideRest();
		//saveSvg();
	});
}
/**
 * makeEllipse
 * @param {type} varname
 * @param {type} X
 * @param {type} Y
 * @param {type} width
 * @param {type} height
 * @param {type} bgcolor
 * @param {type} border
 * @param {type} opacity
 * @param {type} idparam
 * @param {type} additem
 * @param {type} title
 * @returns {undefined}
 */
function makeEllipse(varname, X, Y, width, height, bgcolor, border, opacity, idparam, additem, title) {
	if(title == '' || title == undefined) {
		title = 'Elipsa';
	}

	if(opacity == '' || opacity == undefined) {
		opacity = 1;
	}

	var node = document.createElementNS('http://www.w3.org/2000/svg', 'ellipse');

	node.setAttribute('id', idparam);
	node.setAttribute('title', title);
	node.setAttribute('cx', parseInt(X));
	node.setAttribute('cy', parseInt(Y));
	node.setAttribute('rx', parseInt(width));
	node.setAttribute('ry', parseInt(height));
	node.setAttribute('fill', bgcolor);
	node.setAttribute('stroke', border);
	node.setAttribute('opacity', parseFloat(opacity));

	bindElement(node, true);

	group = makeGroup();
	$(group).append(node);
	saveSvg();
}
/**
 * editEllipse
 * @param {type} node
 * @returns {undefined}
 */
function editEllipse(node) {
	$("#ellipseEditorForm [name=id]").val(node.getAttribute('id'));
	$("#ellipseEditorForm [name=title]").val(node.getAttribute('title'));
	$("#ellipseEditorForm [name=X]").val(node.getAttribute('cx'));
	$("#ellipseEditorForm [name=Y]").val(node.getAttribute('cy'));
	$("#ellipseEditorForm [name=width]").val(node.getAttribute('rx'));
	$("#ellipseEditorForm [name=height]").val(node.getAttribute('ry'));
	$("#ellipseEditorForm [name=bgcolor]").val(node.getAttribute('fill'));
	$("#ellipseEditorForm [name=border]").val(node.getAttribute('stroke'));
	$("#ellipseEditorForm [name=ellipseopacity]").val(node.getAttribute('opacity'));
	$("#ellipseEditorForm #ellipseslider2").slider({value: node.getAttribute('opacity')});
}
/**
 * updateEllipse
 * @param {type} id
 * @returns {undefined}
 */
function updateEllipse(id) {
	var ellipse = $('#' + id);
	clearCorners();

	var Title = $('#ellipseEditor [name=title]').val();

	ellipse.attr('title', Title);
	ellipse.attr('cx', parseInt($('#ellipseEditor [name=X]').val()));
	ellipse.attr('cy', parseInt($('#ellipseEditor [name=Y]').val()));
	ellipse.attr('rx', parseInt($('#ellipseEditor [name=width]').val()));
	ellipse.attr('ry', parseInt($('#ellipseEditor [name=height]').val()));
	ellipse.attr('fill', $('#ellipseEditor [name=bgcolor]').val());
	ellipse.attr('stroke', $('#ellipseEditor [name=border]').val());
	ellipse.attr('opacity', parseFloat($('#ellipseEditor [name=ellipseopacity]').val()));

	saveSvg();
	$('#layer-' + id).find('.layerTitle').html(Title);
}
/**
 * delEllipse
 * @returns {undefined}delRect
 */
function delEllipse() {
	if(activeObj == '') {
		customAlert('Zaznacz obiekt który chcesz usunać');
		return true;
	}

	customConfirm('Usunąć obiekt?', function() {
		deleteObject();
		//$('#' + activeObj).remove();
		//$('#layer-' + activeObj).remove();
		//clearCorners();
		//showElementAndHideRest();
		//saveSvg();
	});
}

/**
 * makeImg
 * @param {type} varname
 * @param {type} img
 * @param {type} X
 * @param {type} Y
 * @param {type} width
 * @param {type} height
 * @param {type} opacity
 * @param {type} idparam
 * @param {type} additem
 * @param {type} title
 * @returns {makeImg.node|Element}
 */
function makeImg(varname, img, X, Y, width, height, opacity, idparam, additem, title, overlayer) {
	if(title == '' || title == undefined) {
		title = 'Obraz';

		if(varname.substr(0,8) == "movie_yt") {
			title = "Film";
		} else if (varname.substr(0,9) == "movie_img") {
			title = "Film";
		} else if (varname.substr(0,10) == "movie_chem") {
			title = "Wzór chemiczny";
		} else if (varname.substr(0,4) == "chem") {
			title = "Wzór chemiczny";
		}
	}

	if(opacity == '' || opacity == undefined) {
		opacity = 1;
	}

	var node = document.createElementNS('http://www.w3.org/2000/svg', 'image');
	node.setAttributeNS('http://www.w3.org/1999/xlink', 'xlink:href', img);

	node.setAttribute('id', idparam);
	node.setAttribute('title', title);
	node.setAttribute('x', parseInt(X));
	node.setAttribute('y', parseInt(Y));
	node.setAttribute('width', parseInt(width));
	node.setAttribute('height', parseInt(height));
	node.setAttribute('preserveAspectRatio', 'none');
	node.setAttribute('opacity', parseFloat(opacity));

	bindElement(node, true);

	group = makeGroup();

	if(overlayer) {
		group.setAttribute('class', 'over');
	}

	$(group).append(node);
	saveSvg();

	return node;
}
/**
 * editImg
 * @param {type} node
 * @returns {undefined}
 */
function editImg(node) {
	$('#imageEditorForm [name=id]').val(node.getAttribute('id'));
	$('#imageEditorForm [name=title]').val(node.getAttribute('title'));
	$('#imageEditorForm [name=X]').val(node.getAttribute('x'));
	$('#imageEditorForm [name=Y]').val(node.getAttribute('y'));
	$('#imageEditorForm [name=width]').val(node.getAttribute('width'));
	$('#imageEditorForm [name=height]').val(node.getAttribute('height'));
	$('#imageEditorForm [name=imageopacity]').val(node.getAttribute('opacity'));
	$('#imageEditorForm #imageslider2').slider({value: node.getAttribute('opacity')});
}
/**
 * updateImg
 * @param {type} id
 * @returns {undefined}
 */
function updateImg(id) {
	var img = $('#' + id);
	clearCorners();

	var Title = $('#imageEditor [name=title]').val();

	img.attr('title', Title);
	img.attr('x', parseInt($('#imageEditor [name=X]').val()));
	img.attr('y', parseInt($('#imageEditor [name=Y]').val()));
	img.attr('width', parseInt($('#imageEditor [name=width]').val()));
	img.attr('height', parseInt($('#imageEditor [name=height]').val()));
	img.attr('opacity', parseFloat($('#imageEditor [name=imageopacity]').val()));

	saveSvg();
	$('#layer-' + id).find('.layerTitle').html(Title);
}
/**
 * delImg
 * @returns {undefined}delRect
 */
function delImg() {
	var delObjectId = activeObj;

	if(delObjectId == '') {
		customAlert('Zaznacz obiekt który chcesz usunać');
		return true;
	}

	customConfirm('Usunąć obiekt?', function() {
		waitingOverlay('on');

		clearCorners();
		showElementAndHideRest();

		$.ajax({
			type: 'POST',
			url: serverName + '?page=presentations&cl=delObject',
			data: { id: delObjectId },
			success: function(response) {
				if(response.success === true) {
					$('#' + delObjectId).remove();
					$('#layer-' + delObjectId).remove();
					saveSvg();

					refreshSheetContent();
				} else {
					customAlert(response.message);
				}
				waitingOverlay('off');
			},
			error: function(response) {
				waitingOverlay('off');
			}
		});

		refreshSheetContent();
	});
}
/**
 * drawPath
 * @param {type} idparam
 * @param {type} path
 * @param {type} title
 * @param {type} params
 * @param {type} paramStrokecolor
 * @param {type} paramStrokedasharray
 * @param {type} paramStrokewidth
 * @returns {undefined}
 */
function drawPath(idparam, path, title, params, paramStrokecolor, paramStrokedasharray, paramStrokewidth) {
	if(title == '' || title == undefined) {
		title = 'Linia';
	}

	var stroke = null;
	var strokeDasharray = null;
	var strokeWidth = null;
	var cursor = null;

	if(params == false || params == undefined) {
		stroke = strokecolor;
		strokeDasharray = strokedasharray;
		strokeWidth = strokewidth;
		cursor = 'pointer';
	} else {
		checkDash = paramStrokedasharray.split(",")

		if(checkDash.length==1) {
			if(paramStrokedasharray == "0") {
				strokedash = '';
			} else {
				strokedash = paramStrokedasharray;
			}
		} else {
			newStr = '';
			$.each(checkDash, function(index, value) { 
				if(index != 0) {
					newStr += ',';
				}
				newStr += (value/paramStrokewidth);
			});

			if(newStr == '0') {
				strokedash = '';
			} else if(newStr == '3,1') {
				strokedash = '-';
			} else if(newStr == '1,1') {
				strokedash = '.';
			} else if(newStr == '3,1,1,1') {
				strokedash = '-.';
			} else if(newStr == '3,1,1,1,1,1') {
				strokedash = '-..';
			} else if(newStr == '1,3') {
				strokedash = '. ';
			} else if(newStr == '4,3') {
				strokedash = '- ';
			} else if(newStr == '8,3') {
				strokedash = '--';
			} else if(newStr == '4,3,1,3') {
				strokedash = '- .';
			} else if(newStr == '8,3,1,3') {
				strokedash = '--.';
			} else if(newStr == '8,3,1,3,1,3') {
				strokedash = '--..';
			} else {
				strokedash = paramStrokedasharray;
			}
		}

		stroke = paramStrokecolor;
		strokeDasharray = strokedash;
		strokeWidth = paramStrokewidth;
		cursor = 'pointer';
	}

	var node = document.createElementNS('http://www.w3.org/2000/svg', 'path');

	node.setAttribute('id', idparam);
	node.setAttribute('title', title);
	node.setAttribute('fill', 'none');
	node.setAttribute('stroke', stroke);
	node.setAttribute('d', path);
	node.setAttribute('stroke-dasharray', strokeDasharray);
	node.setAttribute('stroke-width', strokeWidth);
	node.setAttribute('cursor', cursor);

	bindElement(node, true);

	group = makeGroup();
	$(group).append(node);
	saveSvg();
}
/**
 * editLine
 * @param {type} node
 * @returns {undefined}
 */
function editPath(node) {
	clearCorners();
	addCorners(node);

	$("#pathEditor [name=name]").val(node.getAttribute('title'));
	$('#pathEditor [name=strokecolor]').val(node.getAttribute('stroke'));
	$('#pathEditor [name=id]').val(node.getAttribute('id'));
	$('#pathEditor [name=strokewidth]').val(node.getAttribute('stroke-width'));
	$('#pathEditor #strokewidtheditslider').val(node.getAttribute('stroke-width'));

	paramStrokedasharray = node.getAttribute('stroke-dasharray');

	checkDash = paramStrokedasharray.split(',');
	if(checkDash.length == 1) {
		if(paramStrokedasharray == '0') strokedashvalue = '';
		else strokedashvalue = paramStrokedasharray;
	} else {
		newStr = '';
		$.each(checkDash, function(index, value) { 
			if (index != 0) newStr += ','
			newStr += (value/node.getAttribute('stroke-width'))
		});
		strokedashvalue = newStr;
	}

    if (strokedashvalue == "" || strokedashvalue=="0") selIndex = 0;
    else if (strokedashvalue == "-" || strokedashvalue=="3,1") selIndex = 1;
    else if (strokedashvalue == "." || strokedashvalue=="1,1") selIndex = 2;
    else if (strokedashvalue == "-." || strokedashvalue=="3,1,1,1") selIndex = 3;
    else if (strokedashvalue == "-.." || strokedashvalue=="3,1,1,1,1,1") selIndex = 4;
    else if (strokedashvalue == ". " || strokedashvalue=="1,3") selIndex = 5;
    else if (strokedashvalue == "- " || strokedashvalue=="4,3") selIndex = 6;
    else if (strokedashvalue == "--" || strokedashvalue=="8,3") selIndex = 7;
    else if (strokedashvalue == "- ." || strokedashvalue=="4,3,1,3") selIndex = 8;
    else if (strokedashvalue == "--." || strokedashvalue=="8,3,1,3") selIndex = 9;
    else if (strokedashvalue == "--.." || strokedashvalue=="8,3,1,3,1,3") selIndex = 10;
    else selIndex = 0;

	$('.dashedit').msDropDown().data("dd").set('selectedIndex',selIndex);
	$('#strokedasharrayedit_msdd').css('width','130px');

	showElementAndHideRest('#pathEditor');
}

/**
 * updatePath
 * @param {type} id
 * @returns {undefined}
 */
function updatePath(id) {
	var path = $('#' + id);
	clearCorners();

	var Title = $('#pathEditor [name=name]').val();

	path.attr('title', Title);
	path.attr('stroke', $('#pathEditor [name=strokecolor]').val());
	path.attr('stroke-width', parseInt($('#pathEditor [name=strokewidth]').val()));
	
	var strokedashvalue = $('#pathEditor [name=strokedasharrayedit]').val();

    if(strokedashvalue == '') strokedashvalue = '0';
    else if (strokedashvalue == '-') strokedashvalue = '3,1';
    else if (strokedashvalue == '.') strokedashvalue = '1,1';
    else if (strokedashvalue == '-.') strokedashvalue = '3,1,1,1';
    else if (strokedashvalue == '-..') strokedashvalue = '3,1,1,1,1,1';
    else if (strokedashvalue == '. ') strokedashvalue = '1,3';
    else if (strokedashvalue == '- ') strokedashvalue = '4,3';
    else if (strokedashvalue == '--') strokedashvalue = '8,3';
    else if (strokedashvalue == '- .') strokedashvalue = '4,3,1,3';
    else if (strokedashvalue == '--.') strokedashvalue = '8,3,1,3';
    else if (strokedashvalue == '--..') strokedashvalue = '8,3,1,3,1,3';
    else strokedashvalue = '0';

	path.attr('stroke-dasharray', strokedashvalue);

	saveSvg();
	$('#layer-' + id).find('.layerTitle').html(Title);
}

/**
 * delPath
 * @returns {undefined}delRect
 */
function delPath() {
	if(activeObj == '') {
		customAlert('Zaznacz obiekt który chcesz usunać');
		return true;
	}

	customConfirm('Usunąć obiekt?', function() {
		deleteObject();
		//$('#' + activeObj).remove();
		//$('#layer-' + activeObj).remove();
		deactivebutton('all');
		//clearCorners();
		//showElementAndHideRest();
		//saveSvg();
	});
}
/**
 * saveLinePath
 * @param {type} idparam
 * @param {type} path
 * @param {type} title
 * @param {type} params
 * @returns {undefined}
 */
function saveLinePath(idparam, path, title, params) {
}
/**
 * 
 * @param {type} param
 * @returns {undefined}
 */
/**
function addText(param) {
	var tmpname = new Date().getTime();
	var name = "text_" + param.textid + "_" + tmpname + "_" + parseInt(Math.random()*100);

	var svg = document.getElementById('workarea');
	var node = document.createElementNS('http://www.w3.org/2000/svg', 'text');
	node.setAttribute('id', name);
	node.setAttribute('x', 0);
	node.setAttribute('y', 0);
	node.setAttribute('style', "font-family:'Trebuchet MS';font-size:40px;fill:#374252;");
	//node.setAttribute('style', "font-family:'Trebuchet MS';font-size:40px;fill:#374252;");
	//node.setAttribute('text-anchor', 'middle');
	//node.setAttribute('text-rendering', 'geometricPrecision');
	node.appendChild(document.createTextNode(param.text));
	svg.appendChild(node);
}
*/
/**
 * ReplaceAll by Fagner Brack (MIT Licensed)
 * Replaces all occurrences of a substring in a string
 */
String.prototype.replaceAll = function( token, newToken, ignoreCase ) {
	var _token;
	var str = this + "";
	var i = -1;

	if( typeof token === "string" ) {
		if(ignoreCase) {
			_token = token.toLowerCase();

			while((
				i = str.toLowerCase().indexOf(
					token, i >= 0 ? i + newToken.length : 0
				)
			) !== -1) {
				str = str.substring( 0, i ) +
					newToken +
					str.substring( i + token.length );
			}
		} else {
			return this.split( token ).join( newToken );
		}
	}
	return str;
};

/**
 * makeMath
 * @param {type} varname
 * @param {type} content
 * @param {type} title
 * @param {type} lib
 * @param {type} tags
 * @returns {undefined}
 */
function makeMath(varname, content, title, lib, tags, dnsave) {
	var source = content.replace("math-tex", "math-tex-source");

	var c = '<div class="gsc fo_text" style="width: 298px; height: 298px;" xmlns="http://www.w3.org/1999/xhtml">' + 
		'<textarea class="mjformula" style="display: none;">' + source + '</textarea>' + content +
		'</div>';

	var node = document.createElementNS('http://www.w3.org/2000/svg', 'foreignObject');

	node.setAttribute('id', varname);
	node.setAttribute('title', title);
	node.setAttribute('x', 0);
	node.setAttribute('y', 0);
	node.setAttribute('width', 300);
	node.setAttribute('height', 300);
	node.setAttribute('data-foreign', 'math');

	bindElement(node, true);

	$(node).html(c);

	group = makeGroup();
	group.setAttribute('class', 'over');

	$(group).append(node);

	if(dnsave) {
	} else {
		saveSvg();
	}

	$.fancybox.close();
	waitingOverlay('off');

	setTimeout(function(){MathJax.Hub.Queue(["Typeset", MathJax.Hub]);}, 1000);
	return node;
}

/**
 * editMath
 * @param {type} node
 * @returns {undefined}
 */
function editMath(node) {
	clearCorners();

	$.fancybox({
		width : 680,
		height : 495,
		padding: 0,
		href: serverName + '?page=presentations&cl=mathEditor&nodeid=' + node.getAttribute('id'),
		onComplete: function() {
			$('#editTextForm [name=title]').val(node.getAttribute('title'));
			$('#editTextForm [name=id]').val(node.getAttribute('id'));
		}
	});
	$('.tooltip').hide();
}

/**
 * updateMath
 * @param {type} id
 * @returns {undefined}
 */
function updateMath(id, content, refresh) {
	clearCorners();

	content = content.replace(/&nbsp;/g, '');
	var source = content.replace("math-tex", "math-tex-source");

	var c = '<textarea class="mjformula" style="display: none;">' + source + '</textarea>' + content;

	var element = document.getElementById(id);
	var container = element.getElementsByClassName('gsc');
	$(container).html(c);

	$(container)
		.css('width', element.getAttribute('width') - 2)
		.css('height', element.getAttribute('height') - 2);

	if(refresh) {
		saveMath();
		setTimeout(function(){MathJax.Hub.Queue(["Typeset", MathJax.Hub]);}, 1000);
	}

	$.fancybox.close();
	waitingOverlay('off');
}

/**
 * makeSubtitle
 * @param {type} varname
 * @param {type} content
 * @param {type} title
 * @param {type} x
 * @param {type} y
 * @param {type} w
 * @param {type} h
 * @param {type} dnsave
 * @returns {makeSubtitle.node|Element}
 */
function makeSubtitle(varname, content, title, x, y, w, h, dnsave) {
	var node = document.createElementNS('http://www.w3.org/2000/svg', 'foreignObject');

	node.setAttribute('id', varname);
	node.setAttribute('title', title);
	node.setAttribute('x', x);
	node.setAttribute('y', y);
	node.setAttribute('width', w);
	node.setAttribute('height', h);
	node.setAttribute('data-foreign', 'text');
	node.setAttribute('data-subs', '1');

	bindElement(node, true);
	$(node).html(content);

	group = makeGroup();
	group.setAttribute('class', 'over');

	$(group).append(node);

	if(dnsave) {
	} else {
		saveSvg();
	}

	$('#textform').hide('fast');
	$('#submitForm').show('fast');
	$.fancybox.close();
	waitingOverlay('off');

	return node;
}

/**
 * makeText
 * @param {type} varname
 * @param {type} content
 * @param {type} title
 * @param {type} lib
 * @param {type} tags
 * @param {type} dnsave
 * @returns {makeText.node|Element}
 */
function makeText(varname, content, title, lib, tags, dnsave) {
	var node = document.createElementNS('http://www.w3.org/2000/svg', 'foreignObject');

	node.setAttribute('id', varname);
	node.setAttribute('title', title);
	node.setAttribute('x', 0);
	node.setAttribute('y', 0);
	node.setAttribute('width', 300);
	node.setAttribute('height', 300);
	node.setAttribute('data-foreign', 'text');

	bindElement(node, true);
	$(node).html(content);

	group = makeGroup();
	group.setAttribute('class', 'over');

	$(group).append(node);

	if(dnsave) {
	} else {
		saveSvg();
	}

	$('#textform').hide('fast');
	$('#submitForm').show('fast');
	$.fancybox.close();
	waitingOverlay('off');

	return node;

	/*
	var c = $(content).get(0).outerHTML;

	$.ajax({
		type: 'POST',
		url: serverName + '?page=presentations&cl=objectIntoSheet',
		data: {
			id: varname,
			type: 'text',
			content: c,
			xpos: 20,
			ypos: 20
		},
        success: function(response) {
			if(response.success == true) {
				var element = document.createElement('div');
				element.className = 'pObject';
				element.appendChild(content);

				var container = document.getElementById('objects');
				container.appendChild(element);

				bindElement(element, false);

				$.fancybox.close();
				waitingOverlay('off');
			}
		},
		error: function() {
			customAlert("Błąd zapisu - odśwież stronę i spróbuj ponownie");
		}
	});
	*/
}

/**
 * editText
 * @param {type} node
 * @returns {undefined}
 */
function editText(node) {
	clearCorners();

	$.fancybox({
		width : 680,
		height : 495,
		padding: 0,
		href: serverName + '?page=presentations&cl=contentEditor&nodeid=' + node.getAttribute('id'),
		onComplete: function() {
			$('#editTextForm [name=title]').val(node.getAttribute('title'));
			$('#editTextForm [name=id]').val(node.getAttribute('id'));
			// setTimeout( "asd2()", 100);
		}
	});
	$('.tooltip').hide();

	/*
	clearCorners();

	var element = node.firstElementChild;

	$.fancybox({
		width : 680,
		height : 495,
		padding: 0,
		href: serverName + '?page=presentations&cl=contentEditor',
		onComplete: function() {
//			var nodeId = node.getAttribute('id');

//			var fo = document.getElementById(nodeId);
//			var container = fo.getElementsByClassName('fo_text');

			$('#editTextForm [name=content]').val($(element).html());
//			$('#editTextForm [name=title]').val(node.getAttribute('title'));
			$('#editTextForm [name=id]').val(element.id);

			setTimeout( "asd2()", 100);
		}
	});
	$('.tooltip').hide();
	*/
}

/**
 * updateText
 * @param {type} id
 * @param {type} data
 * @returns {undefined}
 */
function updateText(id, data) {
	var text = $('#' + id);
	clearCorners();

	var Title = $('#editTextForm [name=title]').val();

	var content = data;
	var content = content.replace(/&nbsp;/g, '');

	text.attr('title', Title);
	text.html('<div class="gsc fo_text" xmlns="http://www.w3.org/1999/xhtml">' + content + '</div>');

	var element = document.getElementById(id);
	var container = element.getElementsByClassName('gsc');
	$(container)
		.css('width', element.getAttribute('width') - 2)
		.css('height', element.getAttribute('height') - 2);

	$('#textform').hide('fast');
	$('#submitForm').show('fast');

	saveSvg();
	$('#layer-' + id).find('.layerTitle').html(Title);

	$.fancybox.close();
	waitingOverlay('off');

	/*
	var element = document.getElementById(id);
	var parent = element.parentNode;

	clearCorners();

	var data = $('#editTextForm').serializeArray();
	var content = data[1].value;
	var content = content.replace(/&nbsp;/g, '');

	element.innerHTML = content;

	$('#textform').hide('fast');
	$('#submitForm').show('fast');

	saveDiv(parent);

	$.fancybox.close();
	waitingOverlay('off');
	*/
}

/**
 * delText
 * @returns {undefined}delRect
 */
function delText() {
	if(activeObj == '') {
		customAlert('Zaznacz obiekt który chcesz usunać');
		return true;
	}

	customConfirm('Usunąć obiekt?', function() {
		var objectId = $('#activeElement').val();
		var object = $('#' + objectId);

		if(object.attr('data-foreign')) {
			var qid = object.data('qid');
			if(qid) {
				$('[data-qid=' + qid + ']').remove();
			}

			if(object.attr('data-subs')) {
				$('[data-subs]').remove();
			}
		}

		deleteObject();
		deactivebutton('all');

		/*
		$.ajax({
			type: 'POST',
			url: serverName + '?page=presentations&cl=objectFromSheet',
			data: { id: activeObj },
			success: function(response) {
				if(response.success == true) {
					var object = $('#' + activeObj);
					var parent = object.parent();
					parent.remove();

					clearCorners();

					showElementAndHideRest();
					refreshSheetContent();

					deactivebutton('all');

					$.fancybox.close();
					waitingOverlay('off');
				}
			},
			error: function() {
				customAlert("Błąd zapisu - odśwież stronę i spróbuj ponownie");
			}
		});
		*/
	});
}

/**
 * editForeign
 * @param {type} node
 * @returns {undefined}
 */
function editForeign(node) {
	$("#foreignEditorForm [name=title]").val(node.getAttribute('title'));
	$('#foreignEditorForm [name=id]').val(node.getAttribute('id'));
	$('#foreignEditorForm [name=X]').val(node.getAttribute('x'));
	$('#foreignEditorForm [name=Y]').val(node.getAttribute('y'));
	$('#foreignEditorForm [name=width]').val(node.getAttribute('width'));
	$('#foreignEditorForm [name=height]').val(node.getAttribute('height'));

	/*
	var element = node.firstElementChild;

	$('#foreignEditorForm [name=id]').val(element.id);
	$('#foreignEditorForm [name=X]').val($(node).position().left);
	$('#foreignEditorForm [name=Y]').val($(node).position().top);
	$('#foreignEditorForm [name=width]').val($(element).outerWidth(true));
	$('#foreignEditorForm [name=height]').val($(element).outerHeight(true));
	*/
}

/**
 * updateForeign
 * @param {type} id
 * @returns {undefined}
 */
function updateForeign(id) {
	var foreign = $('#' + id);
	clearCorners();

	var Title = $('#foreignEditor [name=title]').val();
	var XPosition = parseInt($('#foreignEditor [name=X]').val());
	var YPosition = parseInt($('#foreignEditor [name=Y]').val());
	var Width = parseInt($('#foreignEditor [name=width]').val());
	var Height = parseInt($('#foreignEditor [name=height]').val());

	foreign.attr('title', Title);
	foreign.attr('x', XPosition);
	foreign.attr('y', YPosition);
	foreign.attr('width', Width);
	foreign.attr('height', Height);

	var container = foreign.find('.gsc');
	$(container)
		.css('width', Width - 2)
		.css('height', Height - 2);

	saveSvg();
	$('#layer-' + id).find('.layerTitle').html(Title);

	/*
	var foreign = $('#' + id);
	clearCorners();

	var XPosition = parseInt($('#foreignEditor [name=X]').val());
	var YPosition = parseInt($('#foreignEditor [name=Y]').val());
	var Width = parseInt($('#foreignEditor [name=width]').val());
	var Height = parseInt($('#foreignEditor [name=height]').val());

	$(foreign)
		.css('width', Width)
		.css('height', Height)
		.parent()
		.css({
			left: XPosition,
			top: YPosition
		});
	*/
}

/**
 * deleteObject
 * @returns {undefined}
 */
function deleteObject() {
	var objectId = $('#activeElement').val();

	$('#' + objectId).remove();
	$('#layer-' + objectId).remove();

	clearCorners();

	showElementAndHideRest();
	saveSvg();

	refreshSheetContent();
}